(function($) {
/// Plugin auxilia a validação de um input de acordo com o tipo e attributos.
$.fn.KInputvalidate = function() {

    var noop = function () {};
    var regExpNum = /^\-?[\d]+$/;
    var regExpPosNum = /^[\d]+$/;
    var onkeypress = function() {

        var value = $(this).val();
        var type = $(this).attr('type');

        var max = (regExpNum.test($(this).attr('max'))) ? parseInt($(this).attr('max'), 10) : null;
        var min = (regExpNum.test($(this).attr('min'))) ? parseInt($(this).attr('min'), 10) : null;

        /// Ascci code
        var hifen = 0x2d;
        var num_begin = 0x30;
        var num_end = 0x39;
        var cc = event.charCode;

        if( cc > 0 ) {

            if (max !== null || min !== null || type === 'number') {

                if ( cc === hifen || (cc >= num_begin && cc <= num_end ) ) {
                } else {
                    event.preventDefault( );
                    return false;
                }
            }
        }
    };

    var onblur = function() {

        var value = $(this).val();
        var type = $(this).attr('type');

        var max = (regExpNum.test($(this).attr('max'))) ? parseInt($(this).attr('max'), 10) : null;
        var min = (regExpNum.test($(this).attr('min'))) ? parseInt($(this).attr('min'), 10) : null;

        if (max !== null || min !== null || type === 'number') {

            if (value === '-' || !regExpNum.test(value)) {

                $(this).val('');
                return;

            } else {

                var new_val = parseInt(value, 10);
                var is_lesser = (!isNaN(min) && new_val < min) ? true : false;
                var is_greater = (!isNaN(max) && new_val > max) ? true : false;

                if (is_lesser) {
                    $(this).val(min);
                    return;

                } else if (is_greater) {
                    $(this).val(max);
                    return;
                }

                // $(this).val(n);
                // return;
            }

        }
    };

    $(this).each(function() {
        $(this).on({
            // 'keydown.validate' : noop,
            'keypress.validate': onkeypress,
            'blur.validate': onblur,
            // 'keyup.validate': noop
        });
    });

    return this;
};
})(jQuery);
