<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN http://www.w3.org/TR/html4/strict.dtd">
<html>
    <head>
        <title>KWebConfig</title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link href="{$MODULO_PAI}/imagens/khomp.ico" rel="shortcut icon">
        <link rel="stylesheet" type="text/css" media="screen" href="{$MODULO}/css/principal.css?{$PRINCIPAL_CSS_TS}">
        <link rel="stylesheet" type="text/css" media="screen" href="{$MODULO_PAI}/js/jquery/css/ui-khomp/jquery-ui-1.10.4.custom.min.css?{$UI_CSS_TS}" />
        <link rel="stylesheet" type="text/css" media="screen" href="{$MODULO_PAI}/js/jquery/css/k-ui.css?{$K_UI_CSS_TS}">
        <link rel="stylesheet" type="text/css" media="screen" href="{$MODULO}/css/treeMenu/jquery.treeview.css?{$TREEVIEW_CSS_TS}" />
        <link rel="stylesheet" type="text/css" href="{$MODULO_PAI}/js/geral.css?{$GERAL_CSS_TS}" />
        {$CUSTOM_CSS}
        
        {$JS_CONFLICT}
        {$ELASTIX_CSS_CORRECTION}

        <script type="text/javascript" src="{$MODULO_PAI}/js/jquery/jquery.js?{$JQUERY_JS_TS}" ></script>
        <script type="text/javascript" src="{$MODULO_PAI}/js/jquery/jquery.ui.js?{$JQUERY_UI_JS_TS}" ></script>
        <script type="text/javascript" src="{$MODULO_PAI}/js/jquery/jquery.collapser.min.js?{$COLLAPSER_JS_TS}"></script>
        <script type="text/javascript" src="{$MODULO_PAI}/js/jquery/jquery.treeview.js?{$TREEVIEW_JS_TS}"></script>
        <script type="text/javascript" src="{$MODULO_PAI}/js/jquery/jquery.textinputs.js?{$TINPUTS_JS_TS}"></script>
        <script type="text/javascript" src="{$MODULO_PAI}/js/jquery/jquery.tablesorter.min.js?{$TABLESORT_JS_TS}"></script>
        <script type="text/javascript" src="{$MODULO_PAI}/js/jquery/jquery.maskedinput-1.3.min.js?{$MASKINPUT_JS_TS}"></script>
        <script type="text/javascript" src="{$MODULO_PAI}/js/jquery/jquery.input-ip-address-control-1.0.min.js?{$IP_ADDR_JS_TS}"></script>
        <script type="text/javascript" src="{$MODULO_PAI}/js/jquery/jquery.form.js?{$JFORM_JS_TS}"></script>
        <script type="text/javascript" src="{$MODULO_PAI}/js/jquery/jquery.fileupload.js?{$FILEUPLOAD_JS_TS}"></script>
        <script type="text/javascript" src="{$MODULO_PAI}/js/jquery/chosen.jquery.min.js?{$CHOSEN_JS_TS}"></script>
        <script type="text/javascript" src="{$MODULO_PAI}/js/jquery/ui.dropdownchecklist-1.4-min.js?{$DROPDOWN_JS_TS}"></script>

        <script type="text/javascript" src="{$MODULO_PAI}/js/geral.js?{$GERAL_JS_TS}"></script>
        <script type="text/javascript" src="{$MODULO}/css/treeMenu/tree.js?{$TREE_JS_TS}"></script>
        <script type="text/javascript" src="{$MODULO}/js/kwebconfig.js?{$KWEBCONFIG_JS_TS}"></script>
        <script type="text/javascript" src="{$MODULO}/js/khompChan_alpha.js?{$KHOMPCHAN_JS_TS}"></script>
        
        {if $IS_GATEWAY}
            <script type="text/javascript" src="{$MODULO_PAI}/js/compatibility.js?{$COMPATIBILITY_JS_TS}"></script>
            <script type="text/javascript" src="{$MODULO}/js/kinputvalidate.js?{$KINPUTV_JS_TS}"></script>
            <script type="text/javascript" src="{$MODULO}/js/kvolumeslider.js?{$KVOLUMESLIDER_JS_TS}"></script>
            <script type="text/javascript" src="{$MODULO_PAI}/js/jquery/rpc-0.2.1.min.js?{$RPC_JS_TS}"></script>
            <script type="text/javascript" src="{$MODULO}/js/kgateway.js?{$KGATEWAY_JS_TS}"></script>
         {/if}
        
        <script type="text/javascript">
            var image_dir = '{$MODULO_PAI}';
            var modulo_dir = '{$MODULO}';
            var call = '{$CHANGEVIEW}';
            var menu_item = '{$SECTION}';
        </script>

        {literal}
        <script type="text/javascript">
            $( function( )
            {
                $( "#sortable" ).sortable(
                {
                    revert : true
                } );
                $( "ul, li" ).disableSelection( );
            } );

            $( function( )
            {
                $( '.collapsePara' ).collapser(
                {
                    target : 'next',
                    effect : 'slide',
                    changeText : 0
                } );
                changeView( call, $('#'+menu_item)[0], '' );
                // changeView( '{/literal}{$CHANGEVIEW}{literal}', null, '{/literal}{$SECTION}{literal}' );
            } );
        </script>
        {/literal}
    </head>

    <body>
        
        <div class="layout-top-bar background-dark">
            <img src="{$MODULO_PAI}/imagens/verde-topo.jpg">
        </div>
        
        <div class="blockscreenError"></div>
        <div id="tooltip">&nbsp;</div>
        <div id="saved_notice">
          <div class="close cursorPointer" onclick="closeShowNotice();">X</div>
            <span>{$CONFIG_SAVED}</span>
        </div>
        <div id="khomp">
            <div id="divRefresh">
                <img id="refreshing" border="0" style="display: none;" src="{$MODULO_PAI}/imagens/refreshing{$ELASTIX_IMG}.gif">
            </div>
            <div id='khompChanToolTip' class=' tooltip'>
                &nbsp;
            </div>
            {$TOP}
            <br>
            <fieldset id="Geralfield">
                <legend>
                    {$LEGEND}
                </legend>
                <div id="todo">
                    <div id="arvore">
                        <div id="topoArvore">
                            {$MENU}
                        </div>
                    </div>
                    <div id="formulario">
                        {$FORM}
                    </div>
                </div>
            </fieldset>
            {$FOOTER}
        </div>
        
        {$CADENCE_ASSISTANT}
                
    </body>
</html>
