(function (Khomp) {

    /// Call state
    /// Página 66 ITU Q.931

    /// TODO: ver como pegar/apresentar o global value. Não está claro (nota ou algo assim) como extrair esta informação no mesmo octeto do call state value.

    var ISDN = Khomp.ISDN;
    var InformationElements = ISDN.InformationElements;
    var attributes = InformationElements.attributes;

    InformationElements.elementsDecoders[0x14] = function (values) {

        var objValue = {};

        /// Octet 3
        var octet3 = values.shift();

        var codingStandard = (octet3 & 0xc0) >> 6;
        var callStateValue = (octet3 & 0x3f);

        /// Octet 3 bits 8,7
        objValue[InformationElements.attributeNames[0x06]] = attributes[0x06][codingStandard] || codingStandard;

        /// Octet 3 bits 6,5,4,3,2,1
        objValue['Call state value (User / Network)'] = attributes[0x02][callStateValue] + ' - ' + callStateValue.toString(16) || callStateValue.toString(16);

        return objValue;
    };

})(Khomp);