(function (Khomp) {

    /// Date/time
    /// A partir da página 77 da ITU Q931.

    var ISDN = Khomp.ISDN;
    var InformationElements = ISDN.InformationElements;

    InformationElements.elementsDecoders[0x29] = function (values) {

        var y,
        m,
        d,
        h,
        i,
        s,
        datetime;

        y = values.shift();
        m = values.shift();
        d = values.shift();

        datetime = y + '-' + m + '-' + d;

        if (values.length) {
            h = values.shift();
            datetime += ' ' + h;
        }

        if (values.length) {
            i = values.shift();
            datetime += ':' + i;
        }

        if (values.length) {
            s = values.shift();
            datetime += ':' + s;
        }

        return datetime;
    };

})(Khomp);
