<div class="kwebloganalyser">
    <fieldset class="log-load-form">
        <legend class="i18n">Carga de dados</legend>
        
        <table align="center">
            <tr>
                <td class="log-local-input" width="50%">
                    <p>
                        <input type="radio" id="logInputSourceRemote" name="logInputSource" value="remote" checked="checked" onclick="KLogAnalyser.loadSourceFrom(this.value)"/> 
                        <label for="logInputSourceRemote" class="i18n">Carregar o arquivo do servidor</label>
                    </p>
                    <p>
                        <input type="radio" id="logInputSourceLocal" name="logInputSource" value="local" onclick="KLogAnalyser.loadSourceFrom(this.value)"/> 
                        <label for="logInputSourceLocal" class="i18n">Selecionar o arquivo neste computador</label>
                    </p>
                </td>
                <td class="log-local-input" style="display:none;">
                    <div class="or-spacer-vertical left"><div class="mask"></div></div>
                </td>
                <td>
                    
                    <div class="log-local" style="display: none;">
                        <p><label for="inputFileLocal" class="label-column"><span class="i18n">Arquivo de log</span>: </label></p>
                        <p><input type="file" id="inputFileLocal"/></p>
                        
                        <p class="italic log-wait" style="display:none;"><span class="log-loading-icon"></span> <span class="i18n">Aguarde<span>...</p>
                    </div>
                    
                    <div class="log-remote">
                        <p class="log-remote" style="text-align:center"><span class="i18n">Selecione o período de análise</span>:</p>
                        <form name="analyseLog">
                        <ul class="log-filter list-style-none">
                            <li>
                                
                                <label for="beginDate" class="label-column"><span class="i18n">A partir de</span>:</label>
                                
                                {* Regex pattern: http://html5pattern.com/Dates *}
                                <input size="10" type="text" id="beginDate" name="beginDate" value="" pattern="{literal}(0[1-9]|1[0-9]|2[0-9]|3[01]).(0[1-9]|1[012]).[0-9]{4}{/literal}" title="dd/mm/aaaa" required="required"/>
                                <select id="beginHour" name="beginHour" required="required">
                                    <option value="00:00">00:00</option>
                                    <option value="01:00">01:00</option>
                                    <option value="02:00">02:00</option>
                                    <option value="03:00">03:00</option>
                                    <option value="04:00">04:00</option>
                                    <option value="05:00">05:00</option>
                                    <option value="06:00">06:00</option>
                                    <option value="07:00">07:00</option>
                                    <option value="08:00">08:00</option>
                                    <option value="09:00">09:00</option>
                                    <option value="10:00">10:00</option>
                                    <option value="11:00">11:00</option>
                                    <option value="12:00">12:00</option>
                                    <option value="13:00">13:00</option>
                                    <option value="14:00">14:00</option>
                                    <option value="15:00">15:00</option>
                                    <option value="16:00">16:00</option>
                                    <option value="17:00">17:00</option>
                                    <option value="18:00">18:00</option>
                                    <option value="19:00">19:00</option>
                                    <option value="20:00">20:00</option>
                                    <option value="21:00">21:00</option>
                                    <option value="22:00">22:00</option>
                                    <option value="23:00">23:00</option>
                                </select>
                                <span class="i18n help" title="Os campos data de início e fim estão preenchidos de acordo com o início e fim do arquivo de log no servidor. O período disponível está restrito ao período do arquivo."></span>
                            </li>
                            <li>
                                <label for="endDate" class="label-column"><span class="i18n">Até</span>:</label>
                                <input size="10" type="text" id="endDate" name="endDate" value="" pattern="{literal}(0[1-9]|1[0-9]|2[0-9]|3[01]).(0[1-9]|1[012]).[0-9]{4}{/literal}" title="dd/mm/aaaa" required="required"/>
                                <select id="endHour" name="endHour" required="required">
                                    <option value="01:00">01:00</option>
                                    <option value="02:00">02:00</option>
                                    <option value="03:00">03:00</option>
                                    <option value="04:00">04:00</option>
                                    <option value="05:00">05:00</option>
                                    <option value="06:00">06:00</option>
                                    <option value="07:00">07:00</option>
                                    <option value="08:00">08:00</option>
                                    <option value="09:00">09:00</option>
                                    <option value="10:00">10:00</option>
                                    <option value="11:00">11:00</option>
                                    <option value="12:00">12:00</option>
                                    <option value="13:00">13:00</option>
                                    <option value="14:00">14:00</option>
                                    <option value="15:00">15:00</option>
                                    <option value="16:00">16:00</option>
                                    <option value="17:00">17:00</option>
                                    <option value="18:00">18:00</option>
                                    <option value="19:00">19:00</option>
                                    <option value="20:00">20:00</option>
                                    <option value="21:00">21:00</option>
                                    <option value="22:00">22:00</option>
                                    <option value="23:00">23:00</option>
                                    <option value="23:59" selected="selected">23:59</option>
                                </select>
                            </li>
                        </ul>

                        <p style="text-align:center; color: gray;"><span class="log-filename"></span> (<span class="log-value log-filesize"></span>)</p>                      
        
                        <p style="text-align: right; padding: 20px 0 0 0; margin: 0;">
                            <button id="loadLogFileData" type="submit" class="i18n" autofocus="autofocus">Analisar</button>
                        </p>
                        </form>
                    </div>
                </td>
            </tr>
        </table>
    </fieldset>
    <br />
    <div class="log-summary" style="display:none;">
        <fieldset>
            <legend><span class="i18n">Resumo dos dados carregados</span>:</legend>
            <table align="center">
                <tr>
                    <td align="right">
                    </td>
                    <td width="300">

                    </td>
                    <td align="right">
                        <span class="i18n">Chamadas com sucesso</span>: 
                    </td>
                    <td width="150">
                        <span class="log-value log-call-success-total">-</span>
                    </td>
                </tr>
                <tr>
                    <td align="right">
                        <span class="i18n">Tamanho do arquivo de log</span>:
                    </td>
                    <td width="300">
                        <span class="log-value log-filesize">-</span>
                    </td>
                    <td align="right">
                        <span class="i18n">Chamadas com alerta</span>: 
                    </td>
                    <td width="150">
                        <span class="log-value log-call-alert-total">-</span>
                    </td>
                </tr>
                <tr>
                    <td align="right">
                        <span class="i18n">Período da análise</span>: 
                    </td>
                    <td width="300">
                        <span class="log-value log-first-message-time">-</span> <span class="i18n">a</span> <span class="log-value log-last-message-time">-</span>                        
                    </td>
                    <td align="right">
                        <span class="i18n">Chamadas com erro</span>: 
                    </td>
                    <td width="150">
                        <span class="log-value log-call-error-total">-</span>
                    </td>
                </tr>
                <tr>
                    <td align="right" style="visibility:hidden;">
                        <span class="i18n">Mensagens por chamada</span>: 
                    </td>
                    <td width="150">
                        <div class="messagesLengthChart"></div>
                    </td>
                    <td align="right" style="border-top:1px solid gray;">
                        <span class="i18n">Total de chamadas</span>: 
                    </td>
                    <td width="150" style="border-top:1px solid gray;">
                        <span class="log-value log-call-total">-</span>
                    </td>
                </tr>
            </table>
            <p style="text-align: right; padding: 10px 0; margin: 0;">
                <span id="cancelLoadLogFile" style="display:none;">
                    <span class="log-loading-icon"></span> <span class="italic i18n">Aguarde</span>...
                    <span id="loadLogFileDataPercentage" class="italic"></span>
                    <button onclick="KLogAnalyser.stopDownloadFile()" class="i18n">Parar</button>
                </span>
            </p>
        </fieldset>
    </div>
    <br />
    <fieldset class="log-local-filter" style="display: none;">
        <legend onclick="KLogAnalyser.showHideFilter();" style="cursor: pointer;"><span class="i18n">Filtro</span> <span class="showFilter">»</span><span class="hideFilter" style="display: none;">«</span></legend>
        <form name="log_filter" class="log-filter-form" style="display:none;">
        <table width="100%">
            <tr>
                <td valign="top" width="50%">
                    <div class="log-filter-subtitle"><span class="i18n">Por status</span>:</div>
                    <ul class="log-filter list-style-none">
                        <li>
                            <div class="call-status-icon CallOK"></div> <input type="checkbox" id="logFilterSuccess" checked="checked"/> <label for="logFilterSuccess" class="i18n">Sucesso</label>
                            <span class="log-value log-call-success-total"></span>
                            <span class="i18n help" title="Sucesso: este estado é considerado se a chamada passou pelas fases de ocupação e desligamento e teve sinal de atendimento."></span>
                        </li>
                        <li>
                            <div class="call-status-icon CallAlert"></div> <input type="checkbox" id="logFilterAlert" checked="checked"/> <label for="logFilterAlert" class="i18n">Alerta</label>
                            <span class="log-value log-call-alert-total"></span>
                            <span class="i18n help" title="Alerta: este estado é considerado se a chamada passou pela fase de ocupação de tronco e desligamento, mas não teve sinal de atendimento por algum motivo."></span>
                        </li>
                        <li>
                            <div class="call-status-icon CallError"></div> <input type="checkbox" id="logFilterError" checked="checked" checked="checked"/> <label for="logFilterError" class="i18n">Erro</label>
                            <span class="log-value log-call-error-total"></span>
                            <span class="i18n help" title="Erro: considerado quando a chamada não cair na condição de Sucesso ou Alerta."></span>
                        </li>
                    </ul>
                </td>
                <td valign="top">
                    <div class="log-filter-subtitle"><span class="i18n">Por conteúdo</span>:</div>
                    <ul class="log-filter list-style-none">
                        <li>
                            <label for="inputNumeroA" class="label-column"><span class="i18n">De</span>: </label> <input type="text" id="inputNumeroA" pattern="{literal}[0-9]+{/literal}" class="i18n" title="Somente números."/>
                            <span class="i18n help" title="Número de origem da chamada."></span>
                        </li>
                        <li>
                            <label for="inputNumeroB" class="label-column"><span class="i18n">Para</span>: </label> <input type="text" id="inputNumeroB" pattern="{literal}[0-9]+{/literal}" class="i18n" title="Somente números."/>
                            <span class="i18n help" title="Número de destino da chamada."></span>
                        </li>
                    </ul>
                </td>
            </tr>
            <tr>
                <td valign="top" width="50%">
                    <div class="log-filter-subtitle">
                        <input type="checkbox" id="chkLinkOrChannel" checked="checked" onclick="KLogAnalyser.enableDisableMessageChannel(this)"/><label for="chkLinkOrChannel"><span class="i18n">Canais</span>: </label>
                        <span class="i18n help" title="Mostrar chamadas de todos ou apenas alguns canais."></span>
                    </div>
                    <ul class="log-filter log-filter-links list-style-none"></ul>
                </td>
                <td valign="top">
                    <div class="log-filter-subtitle">
                        <input type="checkbox" id="chkMessageTypes" onclick="KLogAnalyser.enableDisableMessageFilterTypes()"/> <label for="chkMessageTypes"><span class="i18n">Mensagens das chamadas</span>:</label>
                        <span class="i18n help" title="A chamada deve conter todas as mensagens selecionadas."></span>
                    </div>
                    <select id="messageTypes" multiple="multiple" disabled="disabled" required="required"></select>
                </td>
            </tr>
        </table>

        <p style="text-align: right; padding: 10px 0; margin: 0;">
            <button class="i18n" type="submit">Filtrar</button>
        </p>
        </form>
    </fieldset>
    <br />
    <fieldset class="log-calls-wrapper" style="display: none;">

        <table width="100%">
            <tr>
                <td class="bold"></td>
                <td class="log-table-options" align="right"></td>
            </tr>
        </table>
    
        <p style="text-align:center" class="log-table-status"></p>
        
        <legend><span class="i18n">Chamadas</span></legend>
        
        <div class="log-calls" style="display: none;"></div>
        
        <p style="text-align:center" class="log-table-status"></p>
        <p style="text-align:right" class="show-only-if-calls"><span class="log-list-scrolltop i18n">Rolar para o topo</span></p>
    </fieldset>
</div>
