<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN http://www.w3.org/TR/html4/strict.dtd">
<html>
    <head>
        <title>KLogAnalyser</title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
        <meta http-equiv="pragma" content="no-cache" />
        <link href="{$MODULO_PAI}/imagens/khomp.ico" rel="shortcut icon">

        {$ELASTIX_CSS_CORRECTION}

        <link rel="stylesheet" type="text/css" media="screen" href="{$MODULO}/css/kweblogviewer.css?{$KWEBLOGVIEWER_CSS_TS}" />
        <link rel="stylesheet" type="text/css" media="screen" href="{$MODULO_PAI}/js/geral.css?{$GERAL_CSS_TS}" />
        {$CUSTOM_CSS}
        <link rel="stylesheet" type="text/css" media="screen" href="{$MODULO_PAI}/js/jquery/css/ui-khomp/jquery-ui-1.10.4.custom.min.css?{$UI_CSS_TS}" />
        <link rel="stylesheet" type="text/css" media="screen" href="{$MODULO}/css/treeMenu/jquery.treeview.css?{$TREEVIEW_CSS_TS}" />
        <link rel="stylesheet" type="text/css" media="screen" href="{$MODULO}/css/kwebloganalyser.css?{$WEBANALYSER_JS_TS}" />

        {$JS_CONFLICT}

        <script type="text/javascript">
            var image_dir = '{$MODULO_PAI}';
            var modulo_dir = '{$MODULO}';
            var lang = '{$LANG}';
        
            // Global app object
        
        {literal}
    
            Khomp = window.Khomp || {
                module_dir: modulo_dir,
                lang : (lang || navigator.language || navigator.userLanguage).toLowerCase(),
    
                include_scripts: function(scripts, prepend, callback) {
                
                    if (typeof prepend === 'function') {
                        callback = prepend;
                        prepend = '';
                    }
    
                   scripts = (typeof scripts === 'string') ? [scripts] : scripts;
                   prepend = prepend || '';
                   
                   for (var i = 0; i < scripts.length; i++) {
                      var src = prepend + scripts[i];
                      var script = document.createElement('script');
                      script.src = src;
                      //script.async = false;
                      document.head.appendChild(script);
                    }
                },
                
                translations : {},
                translate : function(txt, lang) {
                    var lang = (lang || Khomp.lang).toLowerCase();
                    var lang_data = Khomp.translations[lang] || {};
                    return lang_data[txt] || txt;
                },
                set_language : function(lang, callback) {
                    lang = lang || Khomp.lang;
                    Khomp.lang = lang;
                    Khomp.include_scripts(['/languages/translation.' + lang + '.js'], Khomp.module_dir, callback);
                }
            };
    
            Khomp.set_language();
    
            Khomp.include_scripts([
                'translate_plugin.js',
                'isdn/index.all.js',
                'r2/index.js',
                'logAnalyser.js'
            ], Khomp.module_dir+'/js/');
        {/literal}
        </script>

        <script type="text/javascript" src="{$MODULO_PAI}/js/jquery/jquery.treeview.js?{$TREEVIEW_JS_TS}" ></script>
        <script type="text/javascript" src="{$MODULO}/css/treeMenu/tree.js?{$TREE_JS_TS}" ></script>
        <script type="text/javascript" src="{$MODULO_PAI}/js/geral.js?{$GERAL_JS_TS}"></script>
        <script type="text/javascript" src="{$MODULO}/js/kweblogviewer.js?{$KWEBLOGVIEWER_JS_TS}"></script>
        <script type="text/javascript" src="{$MODULO}/js/messages.js?{$MESSSAGES_JS_TS}" ></script>
       
        
    </head>
    <body onload="showMessages('messageMenu');">
        
        <div class="layout-top-bar background-dark">
            <img src="{$MODULO_PAI}/imagens/verde-topo.jpg">
        </div>
        
        <div id="khomp">
            <div class="blockscreenError"></div>
            <div id="divRefresh">
                <img id="refreshing" border="0" src="{$MODULO_PAI}/imagens/refreshing.gif" style="display: none;">
            </div>
            {$TOP}
            <fieldset id="fieldSet">
                <legend>
                    KLogAnalyser
                </legend>
                <div id="left">
                    {$MENU}
                </div>
                <div id="right">
                    {$CONTEUDO}
                </div>
                <div id="popup"> </div>
                <div id='saved_notice'>
                    <span> </span>
                    <div class="close cursorPointer" onclick="closeShowNotice();">X</div>
                </div>

                <div id='block'>
                    <div id='blockMsg'>
                        {$waitForDownload}
                        <br />
                        <img src="{$MODULO_PAI}/imagens/zipping.gif">
                    </div>
                </div>
            </fieldset>
            {$RODAPE}

            <div id="divLogView">
                <div id="divLogViewTopo"> </div>
                <div class="loading"><img border="0" src="{$MODULO_PAI}/imagens/refreshing.gif" alt="Loading" title="Loading" ></div>
                <div id="divLogViewConteudo"> </div>
            </div>
            <div id="divLogAnalyser"> </div>
        </div>
    </body>
</html>
