<?php

    class Constants_SNMP
    {
        const OID_KHOMP = '1.3.6.1.4.1.32624';
        
        // BY DEVICE
        const K3LDEVICECHANNELCOUNTIDLE = ".1.3.6.1.4.1.32624.2.1.2.2.1.10";
        const K3LDEVICECHANNELCOUNTFAIL = ".1.3.6.1.4.1.32624.2.1.2.2.1.11";
        const K3LDEVICECHANNELCOUNTBUSY = ".1.3.6.1.4.1.32624.2.1.2.2.1.12";
        const K3LDEVICESTATSINCOMING = ".1.3.6.1.4.1.32624.2.1.2.2.1.15";
        const K3LDEVICESTATSOUTGOING = ".1.3.6.1.4.1.32624.2.1.2.2.1.16";
        const K3LDEVICEOUTGOINGCOMPLETED = ".1.3.6.1.4.1.32624.2.1.2.2.1.17";
        const K3LDEVICEOUTGOINGERROR = ".1.3.6.1.4.1.32624.2.1.2.2.1.18";
        const K3LDEVICECALLFAILBUSY = ".1.3.6.1.4.1.32624.2.1.2.2.1.21";
        const K3LDEVICECALLFAILNOANSWER = ".1.3.6.1.4.1.32624.2.1.2.2.1.22";
        const K3LDEVICECALLFAILREJECTED = ".1.3.6.1.4.1.32624.2.1.2.2.1.23";
        const K3LDEVICECALLFAILCHANGEDNUMBER = ".1.3.6.1.4.1.32624.2.1.2.2.1.24";
        const K3LDEVICECALLFAILINVALIDNUMBER = ".1.3.6.1.4.1.32624.2.1.2.2.1.25";
        const K3LDEVICECALLFAILOUTOFSERVICE = ".1.3.6.1.4.1.32624.2.1.2.2.1.26";
        const K3LDEVICECALLFAILCONGESTION = ".1.3.6.1.4.1.32624.2.1.2.2.1.27";
        const K3LDEVICECALLFAILNETWORKFAILURE = ".1.3.6.1.4.1.32624.2.1.2.2.1.28";
        const K3LDEVICECALLFAILOTHER = ".1.3.6.1.4.1.32624.2.1.2.2.1.29";

        //BY LINK
        const K3LDEVICELINKCHANNELCOUNTIDLE = ".1.3.6.1.4.1.32624.2.1.2.3.1.26";
        const K3LDEVICELINKCHANNELCOUNTFAIL = ".1.3.6.1.4.1.32624.2.1.2.3.1.27";
        const K3LDEVICELINKCHANNELCOUNTBUSY = ".1.3.6.1.4.1.32624.2.1.2.3.1.28";
        const K3LDEVICELINKSTATSINCOMING = ".1.3.6.1.4.1.32624.2.1.2.3.1.30";
        const K3LDEVICELINKSTATSOUTGOING = ".1.3.6.1.4.1.32624.2.1.2.3.1.31";
        const K3LDEVICELINKOUTGOINGCOMPLETED = ".1.3.6.1.4.1.32624.2.1.2.3.1.32";
        const K3LDEVICELINKOUTGOINGERROR = ".1.3.6.1.4.1.32624.2.1.2.3.1.33";
        const K3LDEVICELINKCALLFAILBUSY = ".1.3.6.1.4.1.32624.2.1.2.3.1.36";
        const K3LDEVICELINKCALLFAILNOANSWER = ".1.3.6.1.4.1.32624.2.1.2.3.1.37";
        const K3LDEVICELINKCALLFAILREJECTED = ".1.3.6.1.4.1.32624.2.1.2.3.1.38";
        const K3LDEVICELINKCALLFAILCHANGEDNUMBER = ".1.3.6.1.4.1.32624.2.1.2.3.1.39";
        const K3LDEVICELINKCALLFAILINVALIDNUMBER = ".1.3.6.1.4.1.32624.2.1.2.3.1.40";
        const K3LDEVICELINKCALLFAILOUTOFSERVICE = ".1.3.6.1.4.1.32624.2.1.2.3.1.41";
        const K3LDEVICELINKCALLFAILCONGESTION = ".1.3.6.1.4.1.32624.2.1.2.3.1.42";
        const K3LDEVICELINKCALLFAILNETWORKFAILURE = ".1.3.6.1.4.1.32624.2.1.2.3.1.43";
        const K3LDEVICELINKCALLFAILOTHER = ".1.3.6.1.4.1.32624.2.1.2.3.1.44";

        // BY CHANNEL
        const K3LDEVICECHANNELSTATSINCOMING = ".1.3.6.1.4.1.32624.2.1.2.5.1.6";
        const K3LDEVICECHANNELSTATSOUTGOING = ".1.3.6.1.4.1.32624.2.1.2.5.1.7";
        const K3LDEVICECHANNELSTATSOUTGOINGCOMPLETED = ".1.3.6.1.4.1.32624.2.1.2.5.1.8";
        const K3LDEVICECHANNELSTATSOUTGOINGERROR = ".1.3.6.1.4.1.32624.2.1.2.5.1.9";
        const K3LDEVICECHANNELSTATSCALLFAILBUSY = ".1.3.6.1.4.1.32624.2.1.2.5.1.12";
        const K3LDEVICECHANNELSTATSCALLFAILNOANSWER = ".1.3.6.1.4.1.32624.2.1.2.5.1.13";
        const K3LDEVICECHANNELSTATSCALLFAILREJECTED = ".1.3.6.1.4.1.32624.2.1.2.5.1.14";
        const K3LDEVICECHANNELSTATSCALLFAILCHANGEDNUMBER = ".1.3.6.1.4.1.32624.2.1.2.5.1.15";
        const K3LDEVICECHANNELSTATSCALLFAILINVALIDNUMBER = ".1.3.6.1.4.1.32624.2.1.2.5.1.16";
        const K3LDEVICECHANNELSTATSCALLFAILOUTOFSERVICE = ".1.3.6.1.4.1.32624.2.1.2.5.1.17";
        const K3LDEVICECHANNELSTATSCALLFAILCONGESTION = ".1.3.6.1.4.1.32624.2.1.2.5.1.18";
        const K3LDEVICECHANNELSTATSCALLFAILNETWORKFAILURE = ".1.3.6.1.4.1.32624.2.1.2.5.1.19";
        const K3LDEVICECHANNELSTATSCALLFAILOTHER = ".1.3.6.1.4.1.32624.2.1.2.5.1.20";

    }
