<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN http://www.w3.org/TR/html4/strict.dtd">
<html>
    <head>
        <title>KWebPortal</title>
        <link rel="stylesheet" type="text/css" href="../KWebConfig/css/principal.css?{$PRINCIPAL_CSS_TS}">
        <link rel="stylesheet" type="text/css" href="../js/geral.css?{$GERAL_CSS_TS}">
        {$CUSTOM_CSS}
        <link href="/imagens/khomp.ico" rel="shortcut icon">
        <script type="text/javascript" src="../js/jquery/jquery.js?{$JQUERY_JS_TS}"></script>
        <script type="text/javascript" src="../js/jquery/jquery.min.js?{$JMIN_JS_TS}"></script>
        <script type="text/javascript" src="../js/jquery/jquery-1.6.validate.js?{$VALIDATE_JS_TS}" ></script>
        <script type="text/javascript" src="../js/geral.js?{$GERAL_JS_TS}"></script>
        <script type="text/javascript" src="../js/jstz-1.0.4.min.js?{$JSTZ_JS_TS}"></script>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <script type="text/javascript">
            $( document ).ready( function( )
            {
                $('#timezone').val(jstz.determine().name());
                $('#khomp').fadeIn(1500);

                $( '#formLogIn' ).validate(
                {
                    rules :
                    {
                        login :
                        {
                            required : true
                        },
                        password :
                        {
                            required : true
                        }
                    },
                    messages :
                    {
                        login :
                        {
                            required : "{$ERR_MSG_LOGIN}"
                        },
                        password :
                        {
                            required : "{$ERR_MSG_PASSWORD}"
                        }
                    }

                } );
            } );

            function browserDetect( )
            {
                var BrowserDetect =
                {
                    init : function( )
                    {
                        this.browser = this.searchString( this.dataBrowser ) || "An unknown browser";
                        this.version = this.searchVersion( navigator.userAgent ) || this.searchVersion( navigator.appVersion ) || "an unknown version";
                    },
                    searchString : function( data )
                    {
                        for( var i = 0; i < data.length; i++ )
                        {
                            var dataString = data[i].string;
                            var dataProp = data[i].prop;
                            this.versionSearchString = data[i].versionSearch || data[i].identity;
                            if( dataString )
                            {
                                if( dataString.indexOf( data[i].subString ) != -1 )
                                    return data[i].identity;
                            }
                            else if( dataProp )
                                return data[i].identity;
                        }
                    },
                    searchVersion : function( dataString )
                    {
                        var index = dataString.indexOf( this.versionSearchString );
                        if( index == -1 )
                            return;
                        return parseFloat( dataString.substring( index + this.versionSearchString.length + 1 ) );
                    },
                    dataBrowser : [
                    {
                        string : navigator.userAgent,
                        subString : "Chrome",
                        identity : "Chrome"
                    },
                    {
                        prop : window.opera,
                        identity : "Opera",
                        versionSearch : "Version"
                    },
                    {
                        string : navigator.userAgent,
                        subString : "Firefox",
                        identity : "Firefox"
                    },
                    {
                        string : navigator.userAgent,
                        subString : "MSIE",
                        identity : "Explorer",
                        versionSearch : "MSIE"
                    }]
                };
                BrowserDetect.init( );
                var update = false;
                switch(BrowserDetect.browser)
                {
                    case 'Chrome':
                        if( BrowserDetect.version < 10 )
                            update = true;
                        break;
                    case 'Firefox':
                        if( BrowserDetect.version < 5 )
                            update = true;
                        break;
                    case 'Explorer':
                        if( BrowserDetect.version < 9 )
                            update = true;
                        break;
                }
                var texto = '{$YOU_ARE_USING}' + BrowserDetect.browser + ' ' + BrowserDetect.version + '{$SOME_FUNC_ARE_LIMITED}';
                var line = '{$YOUR_BROWSER_ISNT_COMPATIBLE}';
                if( update )
                {
                    $( '#divBrowserDetectLine' ).html( line );
                    $( '#divBrowserDetectText' ).html( texto );
                    $( '#divBrowserDetect' ).show( 'slow' );
                    $( '.errorIco' ).show( 'slow' );
                }
            }

            function setFocus( _primaryid, _fallbackid )
            {
                if( $( '#' + _primaryid ).val() == "" )
                {
                    $( '#' + _primaryid ).focus( );
                }
                else
                {
                    $( '#' + _fallbackid ).focus( );
                }
            }

        </script>

    </head>
    <body onload="setFocus('login', 'password');browserDetect();">

        <table align="center" width="100%" cellspacing="0" cellpadding="0" border="0">
            <tr class="layout-top-bar background-dark">
                <td align="center"><img src="./imagens/verde-topo.jpg"></td>
            </tr>
            <tr>
                <td>
                <div id="khomp" style='display:none;'>
                    <div id="topo">
                        <div>
                            <img src="./imagens/logo.png" align='left' alt="Khomp" title="Khomp">
                        </div>
                        <div class="flag">
                            <img src="./imagens/flags/sflagSpain.png" alt="Español" title="Español" class="cursorHand" onclick="changeSystemLanguage('es-es');">
                        </div>
                        <div class="flag">
                            <img src="./imagens/flags/sflagEnglish.png" alt="English" title="English" class="cursorHand" onclick="changeSystemLanguage('en-us');">
                        </div>
                        <div class="flag">
                            <img src="./imagens/flags/sflagBrasil.png" alt="Português - Brasil" title="Português - Brasil" class="cursorHand" onclick="changeSystemLanguage('pt-br');">
                        </div>
                    </div>

                    <form id="formLogIn" action="checkLogin.php" method="post" >
                        <input id='timezone' name='timezone' type='hidden' value='' >
                        <table border='0' class='simpleTable' id='tableLogin'>
                            <tr>
                                <td id='autenticacaoTitle' class="color-dark" colspan="2">{$AUTENTICATION}</td>
                            </tr>
                            <tr>
                                <td colspan='2'>
                                <div class="erro">
                                    {$ERROR}
                                </div></td>
                            </tr>
                            <tr>
                                <td align="right">{$USER}:</td>
                                <td width="56%"  align="left">
                                <input id="login" name="login" type="text" value="{$LOGIN}" {$LOGINOPTS}/>
                                </td>
                            </tr>
                            <tr>
                                <td align="right">{$PASSWORD}:</td>
                                <td align="left">
                                <input value="" id="password" name="password" type="password" />
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2"> &nbsp; </td>
                            </tr>
                            <tr>
                                <td colspan="2">
                                <input class="width150" value="{$ENTER}" type="submit">
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2"> &nbsp; </td>
                            </tr>
                        </table>
                    </form>
                    <br/>
                    <br/>
                    <div id='divBrowserDetect'>
                        <img class='errorIco' src="imagens/error.png" />
                        <div id='divBrowserDetectLine'></div>
                        <div id='divBrowserDetectText'></div>
                    </div>
                    <br/>
                    <br/>
                    {$FOOTER}
                </div></td>
            </tr>
        </table>
    </body>
</html>
