<?php

    class GatewayUtil
    {
        public static function getGatewayConfigPath( )
        {
            if( PHP_OS == "WINNT" )
            {
                if( !isset( $_SESSION['configPath'] ) )
                {
                    $winVersion = PHP_WINDOWS_VERSION_MAJOR . "." . PHP_WINDOWS_VERSION_MINOR;
                    $sysdir = exec( '..\\..\\Tools\\kwebhelper configdir' );
                    if( $winVersion >= 6.1 )
                    {
                        $sysdata = explode( "\\", $sysdir );
                        if( sizeof( $sysdata ) <= 3 )
                            $sysdir = $sysdata[0] . "\\ProgramData\\" . $sysdata[1] . "\\" . $sysdata[2];
                    }
                    return $sysdir . "\\gateway.yaml";
                }
                return $_SESSION['configPath'] . "\\gateway.yaml";
            }
            else
                return "/etc/khomp/config/gateway.yaml";
        }

        public static function saveGW2XmlParserErrorLog( $out )
        {
            $filename = '/var/log/khomp/GW2XmlParserError.log';
            if( file_exists( $filename ) )
                $file = fopen( $filename, "a+" );
            else
                $file = fopen( $filename, "w" );

            $content = "*** " . date( "H:m:s - d/m/Y" ) . " *** \n";
            $content .= implode( "\n", $out );
            $content .= "\n\n";

            fwrite( $file, $content );
            fclose( $file );
        }

    }