var GLOBALAjaxURL = "index.php?rawmode=yes&menu=kconfig";
var GLOBALEvents = [];

function editKhompChanPerfil(el, name, cell_num=2)
{
    var tr = $(el).closest('tr');
    var td   = $(tr).find('td:eq('+cell_num+')');
    var img = td.find('img').filter(function(){
        var name = $(this).attr('name');
        if(name)
            return name.match(/_edit/);
        return false;
    });

    if(img.attr('src').indexOf('editark.gif') == -1)
    {
        var newinput = "<input maxlength=\"150\" id='"+name+
            "_textbox' class='inputText' type='text' value='"+
            td.find('span').html()+"' name='"+name+"' "+
            (td.is('.number') ? 'onkeypress="return validateNumericField(this, event);"' : '')+
            "/>";

        td.find('span').first().replaceWith(newinput);

        td.addClass('textedit');
        td.removeClass('plaintext');

        img.attr('src', image_dir+ '/imagens/editark.gif');
    }
    else
    {
        var replace = '<span class="plaintext">' + ($("#"+name+"_textbox").val()) + '</span>';
        td.find('input').replaceWith(replace);

        td.addClass('plaintext');
        td.removeClass('textedit');

        img.attr('src', image_dir + '/imagens/edit.png');
    }
}

function editFXSRowOption(el)
{
    var tr  = $(el).closest('tr');

    switchTdPlainToEdit( $(tr).find('td:eq(1)'));
    switchTdPlainToEdit( $(tr).find('td:eq(2)'), true);

    var button = $(tr).find('img:first');
    var path = button.attr('src');

    if(path.indexOf('editark.gif') == -1)
    {
        path = path.replace('edit.png','editark.gif');
        button.attr('title', 'Ok');
    }
    else
    {
        path = path.replace('editark.gif','edit.png');
        button.attr('title', 'Edit');
    }
    button.attr('src', path);
}


function switchTdPlainToEdit(td, longy)
{
    if($(td).hasClass('textedit'))
    {
        var replace = $(td).find('input').val();
        td.addClass('plaintext');
        td.removeClass('textedit');
    }
    else //plaintext
    {
        var cl = longy!==undefined ? "inputTextLong" : "inputText";
        var replace = "<input maxlength='150' class="+cl+" type='text'";
        replace += " value='" + td.html()+"' />";
        td.addClass('textedit');
        td.removeClass('plaintext');
    }
    td.html(replace);
}

function editKhompOption(el, columns)
{
    var tr  = $(el).closest('tr');

    if(columns === undefined)
    {
        switchTdPlainToEdit( $(tr).find('td:eq(0)') );
        switchTdPlainToEdit( $(tr).find('td:eq(1)') );
    }
    else
    {
        columns = columns.split(',');
        for(i=0; i<columns.length; ++i)
            switchTdPlainToEdit( $(tr).find('td:eq('+columns[i]+')') );
    }

    var button = $(tr).find('img:first');
    var path = button.attr('src');

    if(path.indexOf('editark.gif') == -1)
    {
        path = path.replace('edit.png','editark.gif');
        button.attr('title', 'Ok');
    }
    else
    {
        path = path.replace('editark.gif','edit.png');
        button.attr('title', 'Edit');
    }
    button.attr('src', path);
}

function make_opt_row()
{
    buff =  '<tr><td class="textedit">';
    buff += '<input maxlength="150" class="inputText" type="text" />';
    buff += '</td><td class="textedit">';
    buff += '<input maxlength="150" class="inputText" type="text" />';
    buff += '</td><td>';
    buff += '<a href="#!" onclick="editKhompOption(this)">';
    buff += '<img src="'+image_dir+'/imagens/editark.gif" title="Ok" />';
    buff += '</a>';
    buff += '<a href="#!" onclick="deleteRow(this)">';
    buff += '<img src="'+image_dir+'/imagens/remove.png" title="remove" />';
    buff += '</a></td></tr>';
    return buff;
}
function make_opt_row_populated(val0, val1)
{
    buff =  '<tr><td class="plaintext">';
    buff += val0;
    buff += '</td><td class="plaintext">';
    buff += val1;
    buff += '</td><td>';
    buff += '<a href="#!" onclick="editKhompOption(this)">';
    buff += '<img src="'+image_dir+'/imagens/edit.png" title="Edit" />';
    buff += '</a>';
    buff += '<a href="#!" onclick="deleteRow(this)">';
    buff += '<img src="'+image_dir+'/imagens/remove.png" title="remove" />';
    buff += '</a></td></tr>';
    return buff;
}
function addOptionRow(table_id)
{
    $('#'+table_id+' .null_cell').parent().remove();
    $('#'+table_id+' > tbody:last').append(make_opt_row());
}
function addOptionRowPopulated(table_id, val0, val1)
{
    var cell = $('#'+table_id+' tr').find('td:contains('+val0+')');
    if(cell.length > 0) //found duplicate!
        cell.parent().remove();
    $('#'+table_id+' .null_cell').parent().remove();
    $('#'+table_id+' > tbody:last').append(make_opt_row_populated(val0,val1));
}
function askNewChannelName()
{
    return initAssistant('ChanRange');
}

function restoreDefault(el, opt)
{
    var remove = $(el).parent().find('img').filter(function()
    {
        return $(this).prop('src').match(/remove.png/);
    });
    remove = remove.length  ? '&custom=1' : '&custom=0';

    jQuery.kajax(
    {
        url : GLOBALAjaxURL,
        data : "ajaxTo=restoreDefault&opt="+opt + remove,
        dataType : "html",
        success : function( text )
        {   
            $(el).closest('tr').html(text);
        },
        error : ajaxDefaultError
    });
}

function addNewChannelSection(ChanRange)
{
    $('#askNewChanField').html('');
    jQuery.kajax(
    {
        url : GLOBALAjaxURL,
        data : "ajaxTo=createNewChanTable&name="+ChanRange,
        dataType : "html",
        success : function( text )
        {   
            if(ChanRange!='')
            {
                $( '#dialog-modal' ).dialog( 'close' );
                $( '#dialog-modal' ).dialog( 'destroy' );
            }
            else
                console.log('chanrange empty\n');
            //Add table to the end of page, but before the save button.
            $('#saveChannelOptionsButton').parent().before(text);
            //Scroll to the bottom
            $('html, body').animate({ 
                scrollTop: $(document).height()-$(window).height()}, 
                1400, 
                "easeOutQuint"
                //"swing"
            );
        },
        error : ajaxDefaultError
    });
}

function removeTable(el)
{
    var table = $(el).closest('table').attr('id');
    var tmp = table.split("_");
    if(tmp[1].length > 0)
        GLOBALEvents.push(tmp[1]);

    var field = $(el).closest('fieldset');
    field.css("background-color","#FF3700");
    field.fadeOut(400, function(){
        field.remove();
    });
}

function validateNumberElement(el, vec)
{
    var value=false;
    if($(el).hasClass('number'))
    {
        value = $(el).html();
    }
    else if($(el).parent().hasClass('number'))
    {
        value = $(el).val();
    }

    if(value)
        if(isNaN(value) || !isFinite(value))
        {
            vec.push($(el).attr('name'));
            return $(el).attr('name');
        }
    return false;
}
function saveChannelSectionsGeneric()
{
    var data = [];
    var table_name = $('table').attr('id');

    data.push('['+table_name+']');

    $('#'+table_name+' tr' ).not(':first').each( function()
    {
        var vals = $(this).find('input[type=text]');
        if(vals.length==0)
        {
            vals = $(this).children('td').slice(0,2);
            if(vals.length != 2)
            {
                ShowNotice( ajaxI18N("Error processing fields", false ));
                return;
            }
            if($(vals[0]).html() != "" && $(vals[1]).html() != "")
                data.push( encodeURIComponent($(vals[0]).html()) + '=' +
                    encodeURIComponent($(vals[1]).html()) );
        }
        else
        {
            if($(vals[0]).val() != "" && $(vals[1]).val() != "")
                data.push( encodeURIComponent($(vals[0]).val()) + '=' +
                    encodeURIComponent($(vals[1]).val()) );
        }
    });


    $( '#refreshing' ).show( );
    disableButton( 'saveChannelOptionsButton' );
    jQuery.kajax(
    {
        url : GLOBALAjaxURL,
        data : "ajaxTo=saveChannelSectionsGeneric&data=" + data.join(';'),
        dataType : "html",
        success : function( text )
        {
            if( text == "ConfiguracaoSalva" )
            {
                ShowNotice( ajaxI18N(text), true );
            }
            else
            {
                ShowNotice( ajaxI18N(text), false );
            }
            $( '#refreshing' ).hide( );
            enableButton( 'saveChannelOptionsButton' );
        },
        error : ajaxDefaultError
    } );
}
function deviceBranchChange(obj)
{
    id = $(obj).attr('id');
    v0 = $("#selectBranchDropdown0").val();
    v1 = $("#selectBranchDropdown1").val();
    if(Number(v0) > Number(v1))
    {
        if(id == 'selectBranchDropdown0')
        {
            $("#selectBranchDropdown0").val(v0);
            $("#selectBranchDropdown1").val(v0);
        }
        else
        {
            $("#selectBranchDropdown0").val(v1);
            $("#selectBranchDropdown1").val(v1);
        }
    }
}
function getFXSTable()
{
    jQuery.kajax(
    {
        url : GLOBALAjaxURL,
        data : "ajaxTo=getFXSTable&branch=" + $('#branch_input').val(),
        dataType : "html",
        success : function( text )
        {
            $( '#divDevices' ).html( text );
            $( '#manualBranch').remove();
            $( '#selectBranchMsg').remove();
            $('#ui-id-1').text('Configure options');
            addFXSRule();
        },
        error : ajaxDefaultError
    });
}
function branchSelected()
{
    var branch = $('#branch_input').val();
    $( '#manualBranch').remove();
    $( '#selectBranchMsg').remove();
    $('#ui-id-1').text('Insert hotline number:');

    var text_input = 'Hotline: ';
    if($('#table_fxs-branches').length)
        text_input = 'Números de série<br>(separados por vírgula): ';

    text = '<b>Selected branch: <span id="branchNum">'+branch+'</span></b><br><br>';
    text += '<br><b>'+text_input+'</b>';
    text += '<input id="hotline_input" maxlength="150" class="inputText" type="text">';
    text += '<br><br>';
    text += "<input type='button' class='floatRight' onClick=\"saveHotlineAssistant();\""
    text += "value=\"save\"'/>";

    $( '#divDevices' ).html( text );
}
function saveHotlineAssistant()
{   
    if($('#branchNum').length)
        var branch = encodeURIComponent( $('#branchNum').text() );
    else
        var branch = encodeURIComponent( $('#selectBranchDropdown0').val() );

    num = encodeURIComponent($("#hotline_input").val());

    var table_name = $('.zebra').attr('id');
    addOptionRowPopulated(table_name, branch, num);

    //if($('#'+new_table+' tr').length==1)
        //$('#'+new_table+' > tbody:last').append(tr);
    //else
        //$('#'+new_table+' tr:last').after(tr);

    $( '#dialog-modal' ).dialog( 'close' );
    $( '#dialog-modal' ).dialog( 'destroy' );
}

/* Compares the first column of table1 and table2
 * and merge the contents from the third column of table2
 * into the corresponding third column of table1.
 * This function modify the contents of both table1 and table2
*/
function merge_tables(table1, table2)
{
    // check if branch number from table 2 already exists on table 1
    $(table1).find('td:nth-child(2)').each(function(i,td1)
    {
        $(table2).find('td:nth-child(2)').each(function(i,td2)
        {
            if($(td1).text() == $(td2).text())
            {
                $(td2).prev().text($(td1).prev().text());
            }
        } );
    } );
    
    $(table1).find('td:nth-child(1)').each(function(i,td1)
    {
        $(table2).find('td:nth-child(1)').each(function(i,td2)
        {
            if($(td1).text() == $(td2).text())
            {
                // check if option already exists in that line, and merge it too.
                var old = $(td1).next().next().text().split('|');
                var neu = $(td2).next().next().text().split('|');
                for(i=0; i<old.length; ++i)
                {
                    for(j=0; j<neu.length; ++j)
                    {
                        var a = old[i].split(':');
                        var b = neu[j].split(':');
                        if( a[0].trim() == b[0].trim() )
                        {
                            old[i] = a[0].trim()+':'+b[1].trim();
                            neu[j] = '';
                            break;
                        }
                    }
                }

                var line = old.join(' | ');
                var n = neu.filter(function (val){return val;}).join(' | ');

                var sep = line.length > 0 ? ' | ' : '';
                if( n.length > 3 )
                    line += sep + n;

                $(td1).next().next().text(line);

                $(td2).parent().remove();
            }
        });
    });
    table1.append(table2.html());
}
function saveFXSAssistant()
{
    if($('#branchNum').length)
    {
        var branch = encodeURIComponent( $('#branchNum').text() );
    }
    else
    {
        var branch0 = $('#selectBranchDropdown0').val();
        var branch1 = $('#selectBranchDropdown1').val();
        if(parseInt(branch1) > parseInt(branch0))
        {
            var branch = branch0+'-'+branch1;
        }
        else
        {
            var branch = branch0;
        }
    }
    var serial = encodeURIComponent( $('#dev_serial').html() );
    var data=[];
    var table_name = "FXSTable";

    $('#'+table_name+' .plaintext').each(function()
    {   //do not send empty fields
        val = encodeURIComponent($( this ).html());
        if (typeof val === typeof undefined || val === false || val == '')
            return;
        data.push( $(this).attr( 'name' ) + ':' + val );
    });
    $('#'+table_name+' input[type=text]' ).each( function()
    {   //do not send empty fields
        val = encodeURIComponent($(this).val());
        if (typeof val === typeof undefined || val == false || val == '')
            return;
        name = $(this).parent().attr('name');
        data.push( name + ':' + val );
    } );

    jQuery.kajax(
    {
        url : GLOBALAjaxURL,
        data : "ajaxTo=makeFXSOptionLine&branch="+branch+ "&serial="+ serial + "&opts=" + data.join('|'),
        dataType : "html",
        success : function( tr )
        {
            var table1 = $('#table_branch-options');
            var table2 = $('<table></table>');
            table2.html(tr);

            merge_tables(table1, table2);

            $('#table_branch-options .null_cell').parent().remove();

            $( '#dialog-modal' ).dialog( 'close' );
            $( '#dialog-modal' ).dialog( 'destroy' );
        },
        error : ajaxDefaultError
    });
}
// 'sel' is optional
function makeDropOptionsLine(name, sel)
{
    if( sel == undefined || typeof sel == typeof undefined )
        sel = '';
    var text = "<td name="+name+" class='plaintext'>" + name + "</td>";
    //text += "<td>" + makeDropCausesDropdown(sel) + "</td>";
    text += "<td>" +
    '<input maxlength="150" class="inputText" value="' + sel + 
        '" onkeypress="return validateNumericField(this, event);" type="text"></td>';
    text += "<td>";
    text += "<a href='#!' onClick='deleteRow(this);'>";
    text += "<img name="+name+"_edit src='"+image_dir+"/imagens/remove.png' title='remove' align='right'/></a>";
    text += "</td>";
    return text;
}

function addDropOptionsFromDropdown()
{
    var drop = $('#newrule');
    var name = drop.val();
    document.getElementById("newrule").options[drop.find(':selected').index()].disabled = true;
    
    var table = drop.closest('table');
    drop.closest('tr').html( makeDropOptionsLine(name) );

    //Adding new line
    var data = '<tr><td>' + drop.parent().html() + '</td><td></td><td></td></tr>';
    table.find('tr:last').after(data);
}

function makeDropOptionsDropdown()
{
    opts = dropOptions();
    buff =  '<select onchange="addDropOptionsFromDropdown()" id="newrule">';
    buff += '<option value="none" selected></option>';
    for( i in opts )
        buff += '<option value="' + opts[i] + '">' + opts[i] + "</option>";

    return buff + '</selec>';
}
function makeDropCausesDropdown(sel)
{
    causes = dropOptionsCauses();
    buff =  '<select class="dropdown">';
    buff += '<option value="none"' + (sel==undefined?'selected':'') + '></option>';
    for( i in causes )
    {
        buff += '<option value="' + i + '" ' + (sel==i?'selected':'') + '>'
            + i + ': ' + causes[i] + "</option>";
    }

    return buff + '</selec>';
}

function saveDropOptions(table_id)
{
    var assist_table = $('#drop-options-table');
    var lines = [];
    var vals = [];
    $(assist_table).find('tr').not(':last').not(':first').each( function()
    {
        var val = $(this).find('.plaintext').text();
        var cause = $(this).find('.inputText').val();

        //check for duplicates
        if( vals.indexOf(val) > -1 )
            return;
        vals.push(val);

        if( cause == '' )
            lines.push(val);
        else
            lines.push( val + '>' + cause );
    } );

    var field = $('#'+table_id).find('#drop-options-menu .hida_dt');

    $(field).text(lines.join(', '));

    $( '#dialog-modal' ).dialog( 'close' );
    $( '#dialog-modal' ).dialog( 'destroy' );
}


// Gets text value from either plaintext td, or inputText td
function getTextVal(td)
{
    if(td.hasClass('plaintext'))
    {
        return td.html();
    }
    else if(td.hasClass('textedit'))
    {
        return td.children().val();
    }
    else // lets guess =)
    {
        console.log('getTextVal: error');
        return '';
    }
}

function saveFXSOptions()
{  
    data = [];
    callerids = [];
    $('#table_branch-options tr').not('tr:first').not('.invalidRow').each(function()
    {
        var td2 = $(this).find('td').eq(2);
        var td1 = td2.prev(); //branch
        callerid = getTextVal(td1);
        opt = getTextVal(td2);
        branch = $(td1).attr('name');
        data.push(branch + '=' + opt);
        callerids.push(branch + '=' + callerid);
    });

    disableButton( 'saveFXSButton' );
    jQuery.kajax(
    {
        url : GLOBALAjaxURL,
        data : "ajaxTo=saveFXSOptions&data=" + data.join(';') + '&callerids='+callerids.join(';'),
        dataType : "html",
        success : function( text )
        {
            if( text == "ConfiguracaoSalva" )
            {
                ShowNotice( ajaxI18N(text), true );
            }
            else
            {
                ShowNotice( ajaxI18N(text), false );
            }
            $( '#refreshing' ).hide( );
            enableButton( 'savelFXSButton' );
        },
        error : ajaxDefaultError
    } );
}

function saveChannelOptions()
{
    var data = [];
    // Input validation:
    var numeric= [];
    var dtmf = [];
    var volume = false;
    
    $('table').each(function()
    {
        var table_name = $(this).attr('id');
        data.push('['+table_name+']');

        if(table_name.match(/table_setvar/))
        {
            $('#'+table_name+' tr' ).not(':first').each( function()
            {
                var vals = $(this).find('input[type=text]');
                if(vals.length==0)
                {
                    vals = $(this).children('td').slice(0,2);
                    if(vals.length != 2)
                    {
                        ShowNotice( ajaxI18N("Error processing fields", false ));
                    }
                    data.push( encodeURIComponent($(vals[0]).html()) + '=' +
                        encodeURIComponent($(vals[1]).html()) );
                }
                else
                {
                    data.push( encodeURIComponent($(vals[0]).val()) + '=' +
                        encodeURIComponent($(vals[1]).val()) );
                }
            });
        }
        else
        {
            $('#'+table_name+' input[type=checkbox]' ).each( function( a, i )
            {   //Do not get the multiselect checkboxes
                if (typeof $(i).attr('name') !== typeof undefined && $(i).attr('name') !== false)
                    data.push( $( i ).attr( 'name' ) + '=' + ($( i ).is( ':checked' ) ? 'yes' : 'no' ) );
            } );

            $('#'+table_name+' select' ).each( function( a, i )
            {
                name = $(i).attr('name');
                data.push( name + '=' + encodeURIComponent($( i ).val()) );
            });

            $('#'+table_name+' input[type=text]' ).each( function( a, i )
            {   //do not send empty fields
                val = encodeURIComponent($( i ).val());
                if (typeof val == typeof undefined || val === false)
                    return;
                name = $(i).attr('name');
                data.push( name + '=' + val );
                if(name == 'input-volume' || name == 'output-volume')
                    if(Math.abs( parseFloat($(i).val()) ) > 10)
                        volume = name;
                validateNumberElement(i, numeric);
            } );

            $('#'+table_name+' span.plaintext').each(function()
            {   //do not send empty fields
                val = encodeURIComponent($( this ).html());
                if (typeof val == typeof undefined || val === false)
                    return;
                data.push( $(this).parent().attr( 'name' ) + '=' + val );
                validateNumberElement(this, numeric);
            });
            $('#'+table_name+' td.dtmf').each(function()
            {
                var el = $(this).children('span.plaintext');
                if(isNaN(parseFloat($(this).html())) || !isFinite($(this).html()))
                        dtmf.push($(this).attr('name'));
            });
            //Multiselect
            $('#'+table_name+' span.hida').each(function()
            {
                var vals = $(this).find('span');
                var buff = '';
                for(var i=0; i<vals.length; ++i)
                {
                    var val = $(vals[i]).html().replace(" ", "");
                    val = val.replace("&nbsp;", "").replace("&gt;", ">");
                    if(!val.match(/None/))
                        buff += val;
                }

                data.push($(this).attr('id') + '=' + encodeURIComponent(buff));
            });

            var a = $('#'+table_name).find('#drop-options-menu').children(':first');
            if(a)
            {
                data.push('drop-options=' + encodeURIComponent(a.text().replace(/\s+/g,'')));
            }

        }
    });

    if(numeric.length > 0)
    {
        var msg = 'The following options accept only numeric values: ';
        for(i in numeric)
            msg += numeric[i] + ', ';
        ShowNotice( ajaxI18N(msg.slice(0,-2), false ));
        return;
    }
    if(dtmf.length > 0)
    {
        var msg = 'The following options accept only numeric values and/or "*" "#": ';
        for(i in dtmf)
            msg += dtmf[i] + ', ';
        ShowNotice( ajaxI18N(msg.slice(0,-2), false ));
        return;
    }
    if(volume)
    {
        var msg = volume + ' should have a value in the range [-10, +10].'
        ShowNotice( ajaxI18N(msg.slice(0,-2), false ));
        return;
    }
    

    $( '#refreshing' ).show( );
    disableButton( 'saveChannelOptionsButton' );
    jQuery.kajax(
    {
        url : GLOBALAjaxURL,
        data : "ajaxTo=saveChannelOptions&data=" + data.join(';'),
        dataType : "html",
        success : function( text )
        {
            if( text == "ConfiguracaoSalva" )
            {
                ShowNotice( ajaxI18N(text), true );
            }
            else
            {
                ShowNotice( ajaxI18N(text), false );
            }
            $( '#refreshing' ).hide( );
            enableButton( 'saveChannelOptionsButton' );
            ////
            while(GLOBALEvents.length>0)
            {
                var e = GLOBALEvents.pop();
                jQuery.kajax(
                {
                    url : GLOBALAjaxURL,
                    data : "ajaxTo=removeSection&section=" + e,
                    dataType : "html",
                    success : function( text )
                    {
                    },
                    error : ajaxDefaultError
                } );
            }
            ////
        },
        error : ajaxDefaultError
    } );
}
function channelOptions()
{
    return {
      'echo-canceller' : 'yes',
      'auto-gain-control' : 'no',
      'out-of-band-dtmfs' : 'yes',
      'dtmf-suppression' : 'yes',
      'auto-fax-adjustment' : 'yes',
      'fax-adjustment-timeout' : '30',
      'pulse-forwarding' : 'no',
      'r2-strict-behaviour' : 'no',
      'r2-preconnect-wait' : '250',
      'r2-hangup-behaviour' : 'force-disconnect',
      'output-volume' : '0',
      'input-volume' : '0',
      'amaflags' : 'default',
      'callgroup' : '0',
      'pickupgroup' : '0',
      'accountcode' : '',
      'language' : '',
      'mohclass' : 'default',
      'fxo-user-xfer-delay' : '1000',
      'immediate-sharp-dial' : 'no',
      'co-dialtone-digits' : '',
      'dialtone-cadence' : 'pbx-dialtone',
      'vm-dialtone-cadence' : 'vm-dialtone',
      'co-dialtone-cadence' : 'co-dialtone',
      'disconnect-delay' : '0',
      'delay-ringback-co' : '1500',
      'delay-ringback-pbx' : '2500',
      'ignore-letter-dtmfs' : 'yes',
      'fxo-send-pre-audio' : 'yes',
      'fxo-busy-disconnection' : '1250',
      'fxs-digit-timeout' : '7',
      'drop-collect-call' : 'no',
      'drop-options' : '',
      'qsig-transfer-facility' : 'qsig-ct',
      'flash-behaviour' : 'xfer',
      'pendulum-digits' : '',
      'pendulum-hangup-digits' : '',
      'pendulum-native' : 'fxs',
      'pendulum-incoming' : 'fxs',
      'pendulum-timeout' : '20000',
      'callerid-inheritance' : 'no',
    };
}
function branchOptions()
{
    return [
        'pickupgroup', 'callgroup', 'namedpickupgroup', 'namedcallgroup', 'context',
        'input-volume', 'output-volume', 'language', 'mohclass', 'amaflags',
        'accountcode', 'calleridname', 'mailbox'
    ];
}

function dropOptionsCauses()
{
    return {
        1 : "Unallocated",
        2 : "No Route Transit",
        3 : "No Route Destination",
        5 : "Misdialled Trunk Prefix",
        6 : "Channel Unacceptable",
        7 : "Call Awarded Delivered",
        8 : "Pre Empted",
        14 : "Number Ported Not Here",
        16 : "Normal Clearing",
        17 : "User Busy",
        18 : "No User Response",
        19 : "No Answer",
        20 : "Subscriber Absent",
        21 : "Call Rejected",
        22 : "Number Changed",
        23 : "Redirected To New Destination",
        26 : "Answered Elsewhere",
        27 : "Destination Out Of Order",
        28 : "Invalid Number Format",
        29 : "Facility Rejected",
        30 : "Response To Status Enquiry",
        31 : "Normal Unspecified",
        34 : "Normal Circuit Congestion",
        38 : "Network Out Of Order",
        41 : "Normal Temporary Failure",
        42 : "Switch Congestion",
        43 : "Access Info Discarded",
        44 : "Requested Chan Unavail",
        50 : "Facility Not Subscribed",
        52 : "Outgoing Call Barred",
        54 : "Incoming Call Barred",
        57 : "Bearercapability Notauth",
        58 : "Bearercapability Notavail",
        65 : "Bearercapability Notimpl",
        66 : "Chan Not Implemented",
        69 : "Facility Not Implemented",
        81 : "Invalid Call Reference",
        88 : "Incompatible Destination",
        95 : "Invalid Msg Unspecified",
        96 : "Mandatory IE Missing",
        97 : "Message Type Nonexist",
        98 : "Wrong Message",
        99 : "Ie Nonexist",
        100 : "Invalid IE Contents",
        101 : "Wrong Call State",
        102 : "Recovery On Timer Expire",
        111 : "Protocol Error",
        127 : "Interworking"
    };
}

function dropOptions()
{
    return [
        'message_box',
        'human_answer',
        'answering_machine',
        'carrier_message',
        'fax',
        'unknown'
    ];
}

function addRuleFromDropdown()
{
    var drop = $('#newrule');
    var name = drop.val();
    var opts = channelOptions();
    var value = opts[name];

    jQuery.kajax(
    {
        url : GLOBALAjaxURL,
        data : "ajaxTo=addChannelRule&name="+name+"&value="+value,
        dataType : "html",
        success : function( text )
        {
            var tr = drop.closest('tr');
            var x = $(tr).find('td:eq(2)').html();
            tr.html(text);
            var td3_buttons = $(tr).find('td:eq(2) span:last');
            $(td3_buttons).append(x);

            initMultiselect();
        },
        error : ajaxDefaultError
    });
}
function addFXSRuleFromDropdown()
{
    var drop = $('#newrule');
    var name = drop.val();
    
    document.getElementById("newrule").options[drop.find(':selected').index()].disabled = true;

    var opts = channelOptions();
    var value = opts[name];
    value = value == undefined ? '' : value;

    /////
    var tr = drop.closest('tr');
    var x = $(tr).find('td:eq(2)').html();
    var text = "<td>"+name+"</td>";
    text += "<td name="+name+" class='plaintext'>";
    text += value;
    text += "</td><td>";
    text += "<a href='#!' onClick='editKhompOption(this,\"1\");'>";
    text += "<img name="+name+"_edit src='"+image_dir+"/imagens/edit.png' title='edit' align='right'/></a>";
    text += "</td>";
    tr.html(text);

    var td3 = $(tr).find('td:eq(2)');
    $(td3).append(x);
    //swapping images
    td3.html(td3.html().replace(/(<a href.*?)(<a href.*<\/a>)/, '$2$1'));

    //Adding new line
    var data = '<tr><td>' + drop.parent().html() + '</td><td></td><td></td></tr>';
    $('#FXSTable tr:last').after(data);
}

function deleteRow(el)
{
    var tr = $(el).closest('tr');

    if( $('#newrule').length > 0 )
    {
        var opt = tr.find('td:first').text();
        if( opt != "" )
        {
            var idx = $('#newrule').find('option[value="' + opt + '"]').index();
            if( idx > -1 )
                document.getElementById('newrule').options[idx].disabled = false;
        }
    }

    tr.css("background-color","#FF3700");
    tr.fadeOut(400, function(){
        tr.remove();
    });
}
function addFXSRule()
{
    var values = branchOptions();
    var table = $('#FXSTable');
    var rows = $('#FXSTable tr').length;
    var data = rows==0?'<tbody>':'';
    data += '<tr>';
    data += '<td><select onchange="addFXSRuleFromDropdown()" id="newrule">';
    var len = values.length;
    data += '<option value="none" selected></option>';
    for(var i=0; i<len; ++i)
        data += '<option value="'+values[i]+'">'+values[i]+'</option>';
    data += '</td>';
    data += '<td></td>';
    data += '<td></td></tr>';
    data += rows==0?'</tbody>':'';
    if(rows==1)
        $('#FXSTable tbody').append(data);
    else
        $('#FXSTable tr:last').after(data);
}
function dropdownOnClick(el)
{
    var a = $(el).closest("dt").next().find("ul");
    $(a).slideToggle('fast');
}
function multiSelectOnClick(el)
{
    var hida = $(el).closest("dd").prev().find(".hida").first();
    var nspan = $(hida).find("span").length;

    var title = $(el).val();

    if ($(el).is(':checked'))
    {
        $(hida).find('span[title="None"]').remove();
        comma = ($(hida).find("span").length == 0) ? "" : ", ";
        var html = '<span title="' + title + '">' + comma + title + '</span>';
        $(hida).append(html);
    } 
    else
    {
        $(hida).find('span[title="' + title + '"]').remove();
        if(nspan == 1)
        {
            var html = '<span title="None"> None </span>';
            $(hida).append(html);
        }
        var f = $(hida).find("span").first();
        if(f.html().substring(0,2) == ", ")
            f.html(f.html().substring(2));
    }
}


function addChannelRule(table_id)
{
    var table = $('#'+table_id);
    if( table.find('#newrule').length > 0 )
        return;

    var rows = $('#'+table_id+' tr').length;
    var data = rows==0?'<tbody>':'';

    data += '<tr id="'+ table_id + rows + '"> <td></td>';
    data += '<td><select onchange="addRuleFromDropdown()" id="newrule">';
    var values = Object.keys(channelOptions());
    var len = values.length;
    data += '<option value="none" selected></option>';
    for(var i=0; i<len; ++i)
        data += '<option value="'+values[i]+'">'+values[i]+'</option>';
    data += '</td><td><a href="#!" onclick="deleteRow(this)">';
    data += '<img align="right" src="'+image_dir+'/imagens/remove.png" title="Remove">';
    data += '</a></td></tr>';
    data += rows==0?'</tbody>':'';
    if(rows==1)
        $('#'+table_id+' tbody').append(data);
    else
        $('#'+table_id+' tr:last').after(data);
}
function addChannelVar(el)
{
    var table = $(el).parent().parent().find('table');
    var rows = table.length;
    var data='';

    data += '<tr name="table_setvar_row' + rows + '">';
    data += '<td class="textedit"><input maxlength="150" class="inputText" type="text" ></td>';
    data += '<td class="textedit"><input maxlength="150" class="inputText" type="text" ></td>';
    data += '<td>';
    data += '<a href="#!" onclick="editKhompOption(this)">';
    data += '<img src="'+image_dir+'/imagens/editark.gif" title="Ok" /> </a>';
    data += '<a href="#!" onclick="deleteRow(this)">';
    data += '<img src="'+image_dir+'/imagens/remove.png" title="Remove">';
    data += '</a></td></tr>';
    if(rows==1)
        $(table).find('tbody').append(data);
    else
        $(table).find('tr:last').after(data);
}
function addSetvarTable(el)
{
    var div = $(el).parent().next();
    var table_id = $(el).parent().prev().prev().attr('id');
    $(el).remove(); //removing button
    jQuery.kajax(
    {
        url : GLOBALAjaxURL,
        data : "ajaxTo=makeSetVar&opt=''&parent_section="+table_id,
        dataType : "html",
        success : function( text )
        {
            div.html( text );
        },
        error : ajaxDefaultError
    });
}
