<?
    if( file_exists( '/etc/elastix.conf' ) )
        session_name( 'elastixSession' );

    @session_start( );
    set_time_limit( 0 );

    function getDownloadFile( $zip_name, $is_temp = false )
    {
        if( $fd = fopen( $zip_name, "r" ) )
        {
            $fsize = sprintf( "%u", filesize( $zip_name ) );
            $path_parts = pathinfo( $zip_name );
            $ext = strtolower( $path_parts["extension"] );
            header( "Content-type: application/zip" );
            header( "Content-Disposition: attachment; filename=\"" . $path_parts["basename"] . "\"" );
        }
        header( "Content-length: $fsize" );
        header( "Cache-control: private" );
        while( !feof( $fd ) )
        {
            $buffer = fread( $fd, 2048 );
            echo $buffer;
        }
        fclose( $fd );

        if( $is_temp )
        {
            trigger_error( "Trying to remove temp file: ".$zip_name );

            if ( !unlink( $zip_name ) )
            {
                trigger_error( "Could not remove temp file: ".$zip_name, E_USER_ERROR );
            }
        }

        exit ;
    }

    $is_temp = isset( $_REQUEST['is_temp'] ) ? ( $_REQUEST['is_temp'] == 'true' ) : false;
    $file = isset( $_REQUEST['file'] ) ? $_REQUEST['file'] : NULL;
    $ext = substr( $file, strlen( $file ) - 6 );

    if( isset( $_SESSION['login'] ) && $_SESSION['loginAccess']['diagnostic'] == 'full' )
    {
        if( $ext == 'tar.gz' && file_exists( $file ) )
            getDownloadFile( $file, $is_temp );
        else
            echo "Download não permitido.";
    }
    else
        echo "Sem permissão.";
