(function (Khomp) {

    /// Repeat indicator
    /// Página 96 da ITU Q931.

    var ISDN = Khomp.ISDN;
    var InformationElements = ISDN.InformationElements;

    InformationElements.elementsDecoders[0xd0] = function (values) {

        var octet = values;

        return ((octet & 0x0f) !== 0x02) ? (octet & 0x0f) : 'Prioritized list for selecting one possibility'; // (Note)
        /// Table 4-21/Q.931 NOTE – Used for Bearer service change procedures (see Annex L).
    };

})(Khomp);