(function (Khomp) {

    /// Restart indicator
    /// Página 97 da ITU Q931.

    var ISDN = Khomp.ISDN;
    var InformationElements = ISDN.InformationElements;
    var attributes = InformationElements.attributes;

    InformationElements.elementsDecoders[0x79] = function (value) {

        var objValue = {};
        var classe = (value & 0x07);

        objValue.Class = attributes[0x05][classe] || classe;

        return objValue;
    };

})(Khomp);
