(function (Khomp) {

    /// Reverse charging indication
    /// Página 111 da ITU Q931.

    var ISDN = Khomp.ISDN;
    var InformationElements = ISDN.InformationElements;

    InformationElements.elementsDecoders[0x4a] = function (value) {

        var octet3 = value.shift();

        return (octet3 & 0x07);

    };

})(Khomp);
