(function (Khomp) {

    /// Signal
    /// Página 99 da ITU Q931.

    var ISDN = Khomp.ISDN;
    var InformationElements = ISDN.InformationElements;
    var attributes = InformationElements.attributes;

    InformationElements.elementsDecoders[0x34] = function (values) {

        var octet3 = values.shift();
        var signalValue = octet3;

        return {
            'Signal value' : attributes[0x32][signalValue] || signalValue
        };
    };
})(Khomp);
