<?
    if( file_exists( '/etc/elastix.conf' ) )
    {
        session_name( 'elastixSession' );
        require_once '/var/www/html/modules/khomp/constants.php';
    }
    else
        require_once '../constants.php';

    @session_start( );
    set_time_limit( 0 );
    require ("logUtil.php");

    function create_zip( $files = array(), $destination = '', $overwrite = true, $base = true )
    {
        if( file_exists( $destination ) && !$overwrite )
            return false;
        $valid_files = array( );

        if( is_array( $files ) )
        {
            foreach( $files as $file )
            {
                if( file_exists( $file ) )
                    $valid_files[] = $file;
            }
        }
        if( count( $valid_files ) )
        {
            $path = KROOT . '\\..\\..\\Tools\\';
            if( PHP_OS == "WINNT" )
            {
                if( file_exists( "{$path}tar.exe" ) && file_exists( "{$path}gzip.exe" ) )
                {
                    if( sizeof( $valid_files ) == 1 )
                    {
                        $fileInfo = pathinfo( $valid_files[0] );
                        if( $fileInfo['extension'] == 'gz' )
                            copy( $valid_files[0], $destination );
                        else
                        {
                            $files = '';
                            //ugly, but need to add double slash because tar convert \f 
                            foreach ($valid_files as $k => $v)
                                $files .= str_replace('\\', '\\\\', '"'.$v.'" ');
                            
                            exec( $path.'tar.exe -c "' . $files . '" | '.$path.'gzip.exe > "'.$destination.'"' );
                        }
                    }

                    return file_exists( $destination );
                }
                else
                    return false;
            }
            else
            {
                if( file_exists( '/bin/gzip' ) && file_exists( '/bin/tar' ) )
                {
                    if( sizeof( $valid_files ) == 1 )
                    {
                        $fileInfo = pathinfo( $valid_files[0] );

                        if( $fileInfo['extension'] == 'gz' )
                            copy( $valid_files[0], $destination );
                        else
                        {
                            $files = '';
                            foreach ($valid_files as $k => $v)
                                $files .= '"'.$v.'" ';
                            exec( 'tar zcf "'.$destination.'" '. $files );
                        }
                    }

                    return file_exists( $destination );
                }
                else
                    return false;
            }
        }
        else
            return false;
    }

    function getDownloadFile( $zip_name, $is_temp = false )
    {
        if( $fd = fopen( $zip_name, "r" ) )
        {
            $fsize = sprintf( "%u", filesize( $zip_name ) );
            $path_parts = pathinfo( $zip_name );
            $ext = strtolower( $path_parts["extension"] );
            header( "Content-type: application/zip" );
            header( "Content-Disposition: attachment; filename=\"" . $path_parts["basename"] . "\"" );
        }
        header( "Content-length: $fsize" );
        header( "Cache-control: private" );
        while( !feof( $fd ) )
        {
            $buffer = fread( $fd, 2048 );
            echo $buffer;
        }
        fclose( $fd );

        if( $is_temp )
        {
            trigger_error( "Trying to remove temp file: ".$zip_name );

            if ( !unlink( $zip_name ) )
            {
                trigger_error( "Could not remove temp file: ".$zip_name, E_USER_ERROR );
            }
        }

        exit ;
    }

    if( isset( $_SESSION['login'] ) && $_SESSION['loginAccess']['diagnostic'] == 'full' )
    {
        if( isset( $_REQUEST['file'] ) && $_REQUEST['type'] == "file" )
        {
            $file = base64_decode( $_REQUEST['file'] );
            $tmpFile = explode( DIRECTORY_SEPARATOR, $file );
            $khompDir = LogUtil::getKhompDir( );
            $khompFTPDir = "/var/local/ftp/";

            if( (strncmp( $file, $khompDir, strlen( $khompDir ) ) == 0) || (strncmp( $file, $khompFTPDir, strlen( $khompFTPDir ) ) == 0) )
            {
                $tmp_name = LogUtil::getTempDir( ) . $tmpFile[sizeof( $tmpFile ) - 1];

                $fileInfo = pathinfo( $tmp_name );
                if(  $fileInfo['extension'] == 'gz' )
                {
                    getDownloadFile( $file, false );
                }
                else
                {
                    $zip_name = $tmp_name . '.tar.gz';

                    $files_to_zip = array( $file );
                    $result = create_zip( $files_to_zip, $zip_name );

                    if( $result )
                        getDownloadFile( $zip_name, true );
                }
            }
            else
                echo 'noFilesOrNoPermission';
        }
    }
    else
        echo "Sem permissão.";
