<?php

class KFeatures
{
    const CALL_ANALYZER = 'CALL_ANALYZER';
    const PORTABILITY = 'PORTABILITY';
    const TIME_TRACKING = 'TIME_TRACKING';
    const E1_SUPPORT = 'E1_SUPPORT';
    const GSM_SUPPORT = 'GSM_SUPPORT';
    const VOIP_G729 = 'VOIP_G729';
    const LICENSE_MANAGER = 'LICENSE_MANAGER';
    const TRANSCODING_CONFIG = 'TRANSCODING_CONFIG';
    const MODULAR = 'MODULAR';
    const SWITCH_DATA_LINK = 'SWITCH_DATA_LINK';
    const RADIUS_SUPPORT = 'RADIUS_SUPPORT';

    public static function checkFeature( $feature )
    {
        if( ! isset( $_SESSION[ 'kgateway::features' ] ) )
        {
            //TODO: check for execution errors!
            $excode = 0;
            $output = array();
            $reply = exec( '/usr/sbin/kgateway --features 2>&1', $output, $excode );
            if( $excode == 0 )
            {
                $_SESSION[ 'kgateway::features' ] = explode( ',', $reply );
            }
            else
            {
                $fulloutput = implode( ' ', $output );
                trigger_error( "/usr/sbin/kgateway exit with code {$excode}: {$fulloutput}", E_USER_WARNING );
                return false;
            }
        }

        return in_array( $feature, $_SESSION[ 'kgateway::features' ] ) ? true : false;
    }
}

