/* Khomp Ajax plugin to add a handdle to 401 redirect response  when user's
 * session is expired.
 */
(function( $ )
{
    $.fn.kajax = function( v )
    {
        v.statusCode =
        {
            401 : function( )
            {
                window.location = '/?error=Kerr3';
            }
        };
        jQuery.ajax( v );
    };

    jQuery.curCSS = jQuery.css;

})( jQuery );
$.kajax = $.fn.kajax;
/* end of Khomp Ajax plugin */

var GLOBALAjaxURL = "index.php?rawmode=yes&menu=khomp";

// old browser compatibility
if( !window.console ) window.console = {};
if( !window.console.log ) window.console.log = function () { };
if( typeof Object.keys != 'function' )
{
    Object.keys = function( obj )
    {
        var keys = [], k;
        for( k in obj )
        {
            if( Object.prototype.hasOwnProperty.call( obj, k ) )
                keys.push( k );
        }
        return keys;
    };
}

function changeSystemLanguage( lang )
{
    var url = document.URL;

    var cerq = url.indexOf( '#' );
    if( cerq > 0 )
        url = url.substring( 0, cerq );

    var index = url.indexOf( 'language=' );
    if( index > -1 )
    {
        language = url.substring( index, index + 14 );
        window.location = url.replace( language, 'language=' + lang );
    }
    else
    {
        var php = url.indexOf( '.php=' );
        if( index < 0 )
        {
            if( url.indexOf( '?' ) > 0 )
                window.location = url + '&language=' + lang;
            else
                window.location = url + '?language=' + lang;
        }
        else
        {
            var size = url.length;
            if( url.substring( size - 9, size ) == 'index.php' )
                window.location = url + '?language=' + lang;
            else
                window.location = url + '&language=' + lang;
        }
    }
}

function ajaxPrompt( word )
{
    var retorno = '';
    jQuery.kajax(
    {
        url : GLOBALAjaxURL,
        data : "ajaxTo=I18N&word=" + word,
        dataType : "text",
        async : false,
        success : function( ret )
        {
            retorno = prompt( ret );
        }
    } );
    return retorno;
}

function ajaxConfirm( word )
{
    var retorno = '';
    jQuery.kajax(
    {
        url : GLOBALAjaxURL,
        data : "ajaxTo=I18N&word=" + word,
        dataType : "text",
        async : false,
        success : function( ret )
        {
            retorno = confirm( ret );
        }
    } );
    return retorno;
}

function ajaxAlert( word, success )
{
    success = success == null ? false : success;
    ShowNotice( ajaxI18N( word ), success );
}

var ajaxI18NCache =
{
};

function I18NReadToCache( keys, _async )
{
    if( _async == undefined )
    {
        _async = true;
    }

    var _keys = [];

    for( key = 0; key < keys.length; key++ )
    {
        // there is no need to send keys that are already cached
        if( !(keys[key] in ajaxI18NCache ) )
        {
            _keys.push( keys[key] );
        }
    }

    if( _keys.length == 0 )
    {
        return;
    }

    $.kajax(
    {
        url : GLOBALAjaxURL + "&ajaxTo=I18NTranslateMany",
        data :
        {
            "keys" : _keys
        },
        dataType : "json",
        method : "POST",
        async : _async,
        success : function( data )
        {
            $.extend( ajaxI18NCache, data );
        }
    } );
}

function ajaxI18N( word )
{
    var retorno = '';
    if( !( word in ajaxI18NCache ) )
    {
        $.kajax(
        {
            data : "ajaxTo=I18N&word=" + word,
            url : GLOBALAjaxURL,
            dataType : "text",
            async : false,
            success : function( ret )
            {
                ajaxI18NCache[word] = ret;
            }
        } );
    }
    return ajaxI18NCache[word];
}

function ajaxI18NToLocaleCharset( word )
{
    return $( "<div />" ).html( ajaxI18N( word ) ).text();
}

function confirmI18N( word )
{
    return confirm( ajaxI18N( word ) );
}

function ShowNotice( text, success, timeout )
{
    success = (success == null) ? false : success;
    timeout = (timeout > 0 ) ? timeout : 1000;

    var savedNotice = $( "#saved_notice" ).stop( ).css( 'opacity', '1.0' ).hide( );
    var classe = text.length > 65 ? 'line-height50' : 'line-height100';
    $( "#saved_notice span:first" ).html( text );
    $( '#saved_notice span' ).addClass( classe );

    if( success )
    {
        $( '#saved_notice div.close' ).hide( );
        $( '#saved_notice' ).removeClass( 'saved_notice_error' ).addClass( 'saved_notice_success' );
        savedNotice.fadeIn( 300 ).delay( timeout ).fadeOut( 1000 );
    }
    else
    {
        $( '#saved_notice div.close' ).show( );
        $( '#saved_notice' ).removeClass( 'saved_notice_success' ).addClass( 'saved_notice_error' );
        savedNotice.fadeIn( 300 );
        $('.blockscreenError').show();
    }
}

function closeShowNotice( )
{
    $( "#saved_notice" ).fadeOut( 1000 );
    $('.blockscreenError').fadeOut( 500 );
}

function onlyIntegerNumbers( event )
{
    var key;
    var keychar;
    key = event.keyCode;
    keychar = String.fromCharCode( key );

    if( (key == null) || (key == 0) || (key == 8) || (key == 9) || (key == 13) || (key == 27) || (key == 46) || (key > 34 && key < 41) || (key == 46) || (key > 95 && key < 106) )
        return true;
    else if( (("0123456789").indexOf( keychar ) > -1) )
        return true;

    return false;
}

function countElements( obj )
{
    var prop;
    var propCount = 0;
    for( prop in obj )
    {
        propCount++;
    }
    return propCount;
}

function sleep( milliseconds )
{
    var start = new Date( ).getTime( );
    while( (new Date( ).getTime( ) - start) < milliseconds )
    {
        // Do nothing
    }
}

function isNumeric( sText )
{
    var ValidChars = "0123456789.";
    var IsNumber = true;
    var Char;

    for( i = 0; i < sText.length && IsNumber == true; i++ )
    {
        Char = sText.charAt( i );
        if( ValidChars.indexOf( Char ) == -1 )
            IsNumber = false;
    }
    return IsNumber;
}

var kuiInlineIconColors = {
    red : "k-ui-icon-force-red",
    yellow : "k-ui-icon-force-yellow",
    blue : "k-ui-icon-force-blue",
    green : "k-ui-icon-force-green",
    black : "k-ui-icon-force-black",
    white : "k-ui-icon-force-white"
};

var kuiInlineIconTextPosition = {
    left : "k-ui-icon-inline-right",
    right : "k-ui-icon-inline-left",
    between : "k-ui-icon-inline-left k-ui-icon-inline-right",
    none : ""
};

function kuiInlineIcon( icon, color, textlocation, attributes )
{
    //@formatter:off
    return $( "<span />" )
      .attr( attributes )
      .addClass( 'ui-icon k-ui-icon-inline ui-icon-' + icon )
      .addClass( color )
      .addClass( textlocation );
    //@formatter:on
}

var kuiIconButtonColors = {
    inherit : '',
    green : 'k-ui-background-green',
    white : 'k-ui-background-white',
    lightgreen : 'k-ui-background-lightgreen'
};

function kuiIconButton( icon, attributes, callback, iconColor, buttonColor )
{
    var finalIcon = icon;

    // defaults
    if( iconColor === undefined )
    {
        iconColor = kuiInlineIconColors.white;
    }
    if( buttonColor === undefined )
    {
        buttonColor = kuiIconButtonColors.green;
    }

    switch( icon )
    {
        case 'close' :
            finalIcon = 'remove.png';
            break;
        case 'pencil' :
            finalIcon = 'edit.png';
            break;
    }

    //@formatter:off
    return $( "<span />" )
      .attr( attributes )
      .click( callback )
      .append(
        $("<img />", { src : "/imagens/"+finalIcon }).addClass('kgateway-icon marginLeft5px')
      );
    //@formatter:on
};

function kgatewayFormatICCID( iccid )
{
    return iccid.slice( 0, 5 ) + "-" + iccid.slice( 5, 10 ) + "-" + iccid.slice( 10, 15 ) + "-" + iccid.slice( 15, iccid.length );
}

function kgatewayFormatIMSI( imsi )
{
    return imsi.slice( 0, 5 ) + "-" + imsi.slice( 5, 10 ) + "-" + imsi.slice( 10, imsi.length );
}

// bind this function to event sortEnd
function kuiTablesorterTrackState( evt, table )
{
    var $table = $( table );
    var id = $table.attr( 'id' ) ? $table.attr( 'id' ) : $table.attr( 'name' ) + '-tablesorter-config';

    var jsonvalue = $.cookie.json;
    $.cookie.json = true;
    $.cookie( id, $table[0].config.sortList, { expires: 1 } );
    $.cookie.json = jsonvalue;
}

// retrieve tracked state or return default state
function kuiTablesorterGetLastState( $table, _default )
{
    var id = $table.attr( 'id' ) ? $table.attr( 'id' ) : $table.attr( 'name' ) + '-tablesorter-config';

    var jsonvalue = $.cookie.json;
    $.cookie.json = true;
    var cfg = $.cookie( id );
    $.cookie.json = jsonvalue;

    return !cfg ? _default : cfg;
}

// create form table row
function kuiFormTableRow( $tbody, _id, $input )
{
    var $label = $( "<label />" ).html( ajaxI18N( _id ) ).attr( { "for" : _id } );
    $input.attr( { "id" : _id } );
    $tbody.append(
        $( "<tr />" )
            .append( $( "<td />" ).append( $label ).addClass( 'label' ) )
            .append( $( "<td />" ).append( $input ) )
    );
}

// render HTML jquery tooltip
function kuiHTMLTooltip( )
{
    return $( "<div />" ).html( $( this ).attr( "title" ) );
}

function enableButton( id )
{
    $( '#' + id ).removeClass( 'backgroundGray' ).addClass( 'backgroundGreen' );
    $( '#' + id ).removeAttr( 'disabled' );
}

function disableButton( id )
{
    $( '#' + id ).removeClass( 'backgroundGreen' ).addClass( 'backgroundGray' );
    $( '#' + id ).attr( 'disabled', 'true' );
}
