<?php
    @session_start( );

    $AjaxFunctions['operationLink'] = 'operationLink';
    $AjaxFunctions['viewVariations'] = 'viewVariations';
    $AjaxFunctions['getRefreshDelay'] = 'getRefreshDelay';

    function operationLink( )
    {
        $serial = isset( $_REQUEST['serial'] ) ? $_REQUEST['serial'] : NULL;
        $link = isset( $_REQUEST['link'] ) ? $_REQUEST['link'] : NULL;
        $operation = isset( $_REQUEST['operation'] ) ? $_REQUEST['operation'] : NULL;

        if( isset( $serial ) && isset( $link ) && isset( $operation ) )
        {
            switch ($operation)
            {
                case 'restart':
                    return Populator::resetLink( $serial, $link );
                case 'block':
                    return Populator::blockLink( $serial, $link );
                default:
                    return Populator::clearLinkErrorCounter( $serial, $link );
            }
        }
    }

    function viewVariations( )
    {
        $app = KSystem::getInstance( );

        $link = isset( $_REQUEST['link'] ) ? $_REQUEST['link'] : NULL;
        $serial = isset( $_REQUEST['serial'] ) ? $_REQUEST['serial'] : NULL;
        $deviceList = $_SESSION['DeviceList'];

        $buff = '';
        if( isset( $link ) && isset( $serial ) && isset( $deviceList ) )
        {
            $buff .= "<div id='variations-header' >{$serial}.{$link}</div>";
            $buff .= '<div id="close" onclick="hideDiv();"> X </div>';
            $buff .= '<table class="tabelaDetalhes zebra" border="1"><thead>';
            $buff .= '<tr><th>' . $app->translate( 'variations' ) . '</th>';
            $buff .= '<th>' . $app->translate( 'count' ) . '</th></tr></thead><tbody>';

            for( $i = 0; $i < count( $deviceList ); $i++ )
            {
                if( $deviceList[$i]['serial'] == $serial )
                {
                    $variations = $deviceList[$i]['links'][$link]['variations'];
                    foreach( $variations as $k => $v )
                        $buff .= '<tr><td width="175px">' . $app->translate( $k ) . "</td><td>{$v}</td></tr>";
                }
            }
            $buff .= '</tbody></table>';
            return $buff;
        }
    }
