<?php
    @session_start( );

    $AjaxFunctions['assistant'] = 'assistant';

    function assistant( )
    {
        Global $sistema, $module_dir;

        $action = isset( $_REQUEST['action'] ) ? $_REQUEST['action'] : NULL;
        if( isset( $action ) )
        {
            switch($action)
            {
                case 'getLinks':
                    $device = isset( $_REQUEST['device'] ) ? $_REQUEST['device'] : NULL;
                    if( isset( $device ) )
                        return getDevicelinks( $device );
                    break;

                case 'getSChannels':
                    $device = isset( $_REQUEST['device'] ) ? $_REQUEST['device'] : NULL;
                    if( isset( $device ) )
                        return getDeviceChannels( $device, 0 );
                    break;

                case 'getEChannels':
                    $device = isset( $_REQUEST['device'] ) ? $_REQUEST['device'] : NULL;
                    if( isset( $device ) )
                    {
                        $sChannel = (isset( $_REQUEST['Schannel'] )) ? $_REQUEST['Schannel'] : 0;
                        $eChannel = $sChannel;
                        if( isset( $_REQUEST['EChannel'] ) && $_REQUEST['EChannel'] != '' && $sChannel < $_REQUEST['EChannel'] )
                            $eChannel = $_REQUEST['EChannel'];
                        return getDeviceChannels( $device, $sChannel, $eChannel );
                    }
                    break;

                case 'addACAnalyzer':
                    $type = isset( $_REQUEST['type'] ) ? $_REQUEST['type'] : NULL;
                    $wc = isset( $_REQUEST['wc'] ) ? $_REQUEST['wc'] : NULL;
                    if( isset( $type ) && isset( $wc ) )
                        createWC( $type, $wc );
                    return showAutoCallAnalyzer( $_REQUEST, false );
                    break;

                case 'removeACAanalyzer':
                    $type = isset( $_REQUEST['type'] ) ? $_REQUEST['type'] : NULL;
                    $wc = isset( $_REQUEST['WC'] ) ? $_REQUEST['WC'] : NULL;
                    if( isset( $type ) && isset( $wc ) )
                        removeWC( $type, $wc );
                    return showAutoCallAnalyzer( $_REQUEST, false );
                    break;

                case 'addAECancel':
                    $type = isset( $_REQUEST['type'] ) ? $_REQUEST['type'] : NULL;
                    $wc = isset( $_REQUEST['wc'] ) ? $_REQUEST['wc'] : NULL;
                    if( isset( $type ) && isset( $wc ) )
                        createWC( $type, $wc );
                    return showAutoEchoCanceller( $_REQUEST, false );
                    break;

                case 'removeAECancel':
                    $type = isset( $_REQUEST['type'] ) ? $_REQUEST['type'] : NULL;
                    $wc = isset( $_REQUEST['WC'] ) ? $_REQUEST['WC'] : NULL;
                    if( isset( $type ) && isset( $wc ) )
                        removeWC( $type, $wc );
                    return showAutoEchoCanceller( $_REQUEST, false );
                    break;

                case 'addADSup':
                    $type = isset( $_REQUEST['type'] ) ? $_REQUEST['type'] : NULL;
                    $wc = isset( $_REQUEST['wc'] ) ? $_REQUEST['wc'] : NULL;
                    if( isset( $type ) && isset( $wc ) )
                        createWC( $type, $wc );
                    return showAutoDTMFSupression( $_REQUEST, false );
                    break;

                case 'removeADSup':
                    $type = isset( $_REQUEST['type'] ) ? $_REQUEST['type'] : NULL;
                    $wc = isset( $_REQUEST['WC'] ) ? $_REQUEST['WC'] : NULL;
                    if( isset( $type ) && isset( $wc ) )
                        removeWC( $type, $wc );
                    return showAutoDTMFSupression( $_REQUEST, false );
                    break;

                case 'addAAGC':
                    $type = isset( $_REQUEST['type'] ) ? $_REQUEST['type'] : NULL;
                    $wc = isset( $_REQUEST['wc'] ) ? $_REQUEST['wc'] : NULL;
                    if( isset( $type ) && isset( $wc ) )
                        createWC( $type, $wc );
                    return showAutoAGC( $_REQUEST, false );
                    break;

                case 'removeAAGC':
                    $type = isset( $_REQUEST['type'] ) ? $_REQUEST['type'] : NULL;
                    $wc = isset( $_REQUEST['WC'] ) ? $_REQUEST['WC'] : NULL;
                    if( isset( $type ) && isset( $wc ) )
                        removeWC( $type, $wc );
                    return showAutoAGC( $_REQUEST, false );
                    break;

                case 'addDCCall':
                    $type = isset( $_REQUEST['type'] ) ? $_REQUEST['type'] : NULL;
                    $wc = isset( $_REQUEST['wc'] ) ? $_REQUEST['wc'] : NULL;
                    if( isset( $type ) && isset( $wc ) )
                        createWC( $type, $wc );
                    return showAutoDropCollectCall( $_REQUEST, false );
                    break;

                case 'removeDCCall':
                    $type = isset( $_REQUEST['type'] ) ? $_REQUEST['type'] : NULL;
                    $wc = isset( $_REQUEST['WC'] ) ? $_REQUEST['WC'] : NULL;
                    if( isset( $type ) && isset( $wc ) )
                        removeWC( $type, $wc );
                    return showAutoDropCollectCall( $_REQUEST, false );
                    break;

                case 'saveDCCallConfigs':
                    $data = isset( $_REQUEST['data'] ) ? $_REQUEST['data'] : NULL;
                    if( isset( $data ) )
                        saveDCCallConfigs( $data );
                    return showAutoDropCollectCall( $_REQUEST, false );
                    break;

                case 'getAssistant':
                    return cadenceAssistant( false );

                case 'initFXOCadenceAssistant':
                    if( isset( $_REQUEST['device'] ) && isset( $_REQUEST['busy'] ) && isset( $_REQUEST['invalid'] ) && isset( $_REQUEST['ringback'] ) && isset( $_REQUEST['channel'] ) )
                    {
                        $configDir = $sistema->getConfigDir( );
                        $_SESSION['configDir'] = $configDir;

                        if( file_exists( $configDir . '/cadences.txt' ) )
                            unlink( "$configDir/cadences.txt" );

                        if( file_exists( $configDir . '/cadences.yaml' ) )
                            unlink( "$configDir/cadences.yaml" );

                        $fpt1 = fopen( $configDir . "/cadences.txt", "w" );
                        fwrite( $fpt1, '' );
                        fclose( $fpt1 );

                        $fpt2 = fopen( $configDir . "/cadences.yaml", "w" );
                        fwrite( $fpt2, '' );
                        fclose( $fpt2 );

                        if( PHP_OS == "WINNT" )
                        {
                            $execute = dirname( __FILE__ ) . '\\..\\..\\..\\..\\Tools\\KCPAssistant.exe ';
                            $service = new Kservice( 'k3lserver' );
                            if( @ereg( "RUNNING", $service->getStatus( ) ) )
                            {
                                $execute .= '-d' . $_REQUEST['device'] . ' -b' . $_REQUEST['busy'] . ' -i' . $_REQUEST['invalid'] . ' -r' . $_REQUEST['ringback'] . ' -c' . $_REQUEST['channel'];
                                $execute .= " -o " . $configDir . "/cadences.yaml > " . $configDir . "/cadences.txt";
                                exec( $execute );
                            }
                            break;
                        }
                        else
                        {
                            $execute = '/usr/sbin/k3lcpassistant';
                            if( (bool) exec( 'ps cax | grep -i k3lserver | grep -v grep' ) )
                            {
                                $execute .= ' -d' . $_REQUEST['device'] . ' -b' . $_REQUEST['busy'] . ' -i' . $_REQUEST['invalid'] . ' -r' . $_REQUEST['ringback'] . ' -c' . $_REQUEST['channel'];
                                $execute .= " -o " . $configDir . "/cadences.yaml > " . $configDir . "/cadences.txt";
                                exec( $execute );
                            }
                            break;
                        }

                        if( !is_file( $execute ) )
                        {
                            $fp3 = fopen( $configDir . "/cadences.txt", "w+" );
                            $fp4 = fopen( $configDir . "/cadences.yaml", "w+" );
                            fputs( $fp3, 'KCPAssistant not found! <br>' );
                            fputs( $fp4, 'KCPAssistant not found! <br>' );
                            fclose( $fp3 );
                            fclose( $fp4 );
                        }
                        else
                        {
                            $fp5 = fopen( $configDir . "/cadences.txt", "w+" );
                            $fp6 = fopen( $configDir . "/cadences.yaml", "w+" );
                            fputs( $fp5, 'k3lserver is not running! <br>' );
                            fputs( $fp6, 'k3lserver is not running! <br>' );
                            fclose( $fp5 );
                            fclose( $fp6 );
                        }
                    }
                    break;

                case 'saveGeneratedCadences':
                    Global $sistema;
                    $KCadencesObject = new KCadences( );
                    $configDir = $sistema->getConfigDir( );
                    $KCadencesObject->saveCadences( $configDir . "/cadences.yaml" );

                    unlink( "$configDir/cadences.yaml" );
                    unlink( "$configDir/cadences.txt" );

                    return $sistema->retTranslate( 'ConfiguracaoSalva' );

                case 'changeDevice':
                    return getFXODeviceChannels( $_REQUEST['device'] );

                default:
                    return 'No action found';
                    break;
            }
        }
    }
