<?php

    function getLinksForm( )
    {
        Global $sistema;

        $return = "<table id='WCTab3DeviceTable'>";
        $return .= "<tr>";
        $return .= "<td colspan='2' align='center'>";
        $return .= $sistema->retTranslate( "SelectDevice" );
        $return .= "<br><br></td>";
        $return .= "</tr>";
        $return .= "<tr>";
        $return .= "<td align='left'>";
        $return .= $sistema->retTranslate( "Device" );
        $return .= "</td>";
        $return .= "<td align='left'>";
        $devices = $sistema->getE1Devices( );
        $function = "onChange='getDeviceLinks(this.value);'";
        $return .= printSelect( "WCTab3Device", $devices, $devices, $function );
        $return .= "</td>";
        $return .= "</tr>";
        $return .= "<tr>";
        $return .= "<td align='left'>";
        $return .= $sistema->retTranslate( "Links" );
        $return .= "</td>";
        $return .= "<td align='left'>";
        $return .= printSelect( "WCLink", NULL, NULL );
        $return .= "</td>";
        $return .= "</tr>";
        $return .= "</table>";
        return $return;
    }

    function getDeviceForm( )
    {
        Global $sistema;

        $return = "<table id='WCTab2DeviceTable'>";
        $return .= "<tr>";
        $return .= "<td colspan='2' align='center'>";
        $return .= $sistema->retTranslate( "SelectDevice" );
        $return .= "<br><br></td>";
        $return .= "</tr>";
        $return .= "<tr>";
        $return .= "<td align='left'>";
        $return .= $sistema->retTranslate( "Device" );
        $return .= "</td>";
        $return .= "<td align='left'>";
        $devices = getDevices( );
        $devicesSerial = getSerials( $devices );
        $function = "";
        $return .= printSelect( "WCTab2Device", $devicesSerial, $devicesSerial, $function );
        $return .= "</td>";
        $return .= "</tr>";
        $return .= "</table>";
        return $return;
    }

    function getChannelForm( )
    {
        Global $sistema;

        $return = "<table id='tableWCDevice'>";
        $return .= "<tr>";
        $return .= "<td colspan='2' align='center'>";
        $return .= $sistema->retTranslate( "SelectChannel" );
        $return .= "<br><br></td>";
        $return .= "</tr>";

        $return .= "<tr>";
        $return .= "<td align='left'>";
        $return .= $sistema->retTranslate( "Device" );
        $return .= "</td>";
        $return .= "<td align='left'>";
        $devices = getDevices( );
        $devicesSerial = getSerials( $devices );

        $function = "onChange=\"getSChannel(this.value);\"";
        $return .= printSelect( "WCDevice", $devicesSerial, $devicesSerial, $function );
        $return .= "</td>";
        $return .= "</tr>";

        $return .= "<tr>";
        $return .= "<td align='left'>";
        $return .= $sistema->retTranslate( "SChannel" );
        $return .= "</td>";
        $return .= "<td align='left'>";
        $function = "onChange=\"getEChannel(this.value);\"";
        $return .= printSelect( "WCSChannel", NULL, NULL, $function );
        $return .= "</td>";
        $return .= "</tr>";

        $return .= "<tr>";
        $return .= "<td align='left'>";
        $return .= $sistema->retTranslate( "EChannel" );
        $return .= "</td>";
        $return .= "<td align='left'>";
        $return .= printSelect( "WCEChannel", NULL, NULL );
        $return .= "</td>";
        $return .= "</tr>";
        $return .= "</table>";

        return $return;
    }

    function getTechForm( )
    {
        Global $sistema;
        $return = "<table id='WCTechTable'>";
        $return .= "<tr>";
        $return .= "<td colspan='2' align='center'>";
        $return .= $sistema->retTranslate( "SelectTech" );
        $return .= "<br><br></td>";
        $return .= "</tr>";
        $return .= "<tr>";
        $return .= "<td align='left'>";
        $return .= $sistema->retTranslate( "Tech" );
        $return .= "</td>";
        $return .= "<td align='left'>";
        if( IS_GATEWAY )
        {
            $techs = array( 'E1' );
        }
        else
        {
            $techs = array( 'E1', 'FXO', 'FXS', 'GSM' );
        }
        $function = "";
        $return .= printSelect( "WCTech", $techs, $techs, $function );
        $return .= "</td>";
        $return .= "</tr>";
        $return .= "</table>";
        return $return;
    }

    function printSelect( $name, $options, $values, $function = "" )
    {
        Global $sistema;
        $return = "<select class='selector7' name='$name' id='$name' $function >";
        $return .= "<option value=''>" . $sistema->retTranslate( 'SelectValue' ) . "</option>";
        for( $i = 0; $i < sizeof( $options ); $i++ )
        {
            $return .= "<option value='$values[$i]'>" . $options[$i] . "</option>";
        }
        $return .= "</select>";
        return $return;
    }

    function getDevices( $excludeType = '' )
    {
        Global $sistema;

        $sistema->setDevices( $excludeType );
        $devices = $sistema->getDevices( );
        $sistema->setDevices( );
        return $devices;
    }

    function getSerials( $devices )
    {
        $deviceGroup = array( );
        for( $i = 0; $i < sizeof( $devices ); $i++ )
        {
            $deviceGroup[] = $devices[$i][0];
        }
        return $deviceGroup;
    }