<?php
    @session_start( );

    $AjaxFunctions['printLog'] = 'printLog';

    function printLog( )
    {
        Global $sistema, $_SESSION;
        $app = KSystem::getInstance();

        $file = isset( $_REQUEST['file'] ) ? base64_decode( $_REQUEST['file'] ) : NULL;
        $return = array( );
        $content = '';
        $topo = '';

        $return['title'] = $file;
        if( isset( $file ) )
        {
            $khompDir = LogUtil::getKhompDir( );
            $khompCDRDir = "/var/local/ftp/cdr/";

            if( (strncmp( $file, $khompDir, strlen( $khompDir ) ) == 0) || (strncmp( $file, $khompCDRDir, strlen( $khompCDRDir ) ) == 0) )
            {
                $fileSize = sprintf( "%u", filesize( $file ) );

                if( $fileSize <= 300000 )// If size of file <= 300kb, print
                // entire file. No problems.
                {
                    $topo .= "<span><a href='javascript:setScrollAtTop(\"#divLogViewConteudo\")'>" . $app->translate( 'backToTop' ) . "</a> | <a href='javascript:setScrollAtBottom(\"#divLogViewConteudo\")'>" . $app->translate( 'goToLast' ) . "</a> | <input type='checkbox' id='log-viewer-use-colors' checked='checked' /> <label for='log-viewer-use-colors'>{$app->translate( 'log-viewer-use-colors' )}</label></span>";

                    $pf = fopen( $file, "r" );
                    while( !feof( $pf ) )
                    {
                        $line = fgets( $pf );
                        if( $line != " " )
                            $content .= utf8_encode( $line );
                    }
                }
                else
                {
                    $topo .= "<div id='topNavigation'>";
                    $file64 = base64_encode( $file );
                    $topo .= "<div id='navigatorSection'>";
                    $topo .= "<input type='button' id='first' onclick=\"showMoreLogs(" . "'$file64'" . ",'first'" . ");\" value='" . $app->translate( 'first' ) . "' />";
                    $topo .= "<input type='button' id='back' onclick=\"showMoreLogs(" . "'$file64'" . ",'back'" . ");\" value='" . $app->translate( 'showPreviousLines' ) . "'/>";
                    $topo .= "<input type='button' disabled='true' class='backgroundGray' id='forward' onclick=\"showMoreLogs(" . "'$file64'" . ",'forward'" . ");\" value='" . $app->translate( 'showLastLines' ) . "' />";
                    $topo .= "<input type='button' disabled='true' class='backgroundGray' id='last' onclick=\"showMoreLogs(" . "'$file64'" . ",'last'" . ");\" value='" . $app->translate( 'last' ) . "' />";
                    $topo .= "</div>";

                    $topo .= "<div id='paginatorSection'>";
                    $topo .= $app->translate( 'paginate' ) . " <select id='paginator'>";
                    $topo .= "<option value='100000'>100kb</option>";
                    $topo .= "<option value='300000'>300kb</option>";
                    $topo .= "<option value='500000'>500kb</option>";
                    $topo .= "<option value='1000000'>1Mb</option>";
                    $topo .= "</select>";
                    $topo .= "</div>";
                    $topo .= "<div style='clear: both;'> </div>";
                    $topo .= "<span><a href='javascript:setScrollAtTop(\"#divLogViewConteudo\")'>" . $app->translate( 'backToTop' ) . "</a> | <a href='javascript:setScrollAtBottom(\"#divLogViewConteudo\")'>" . $app->translate( 'goToLast' ) . "</a> | <input type='checkbox' id='log-viewer-use-colors' checked='checked' /> <label for='log-viewer-use-colors'>{$app->translate( 'log-viewer-use-colors' )}</label></span>";
                    $topo .= "</div>";

                    $start = $fileSize - 100000;
                    $end = $fileSize;
                    $_SESSION['first'] = $start;
                    $_SESSION['last'] = $end;

                    $pf = fopen( $file, "r" );
                    $atual = fseek( $pf, -30000, SEEK_END );
                    $line = fgets( $pf );

                    while( $atual < $end )
                    {
                        $line = fgets( $pf );
                        if( $line != " " )
                            $content .= utf8_encode( $line );

                        $atual = ftell( $pf );
                    }
                    fclose( $pf );

                }
            }
            else
                $content .= $app->translate( 'noFilesOrNoPermission' );
        }
        $return['content'] = $content;
        $return['topo'] = $topo;
        return JSONencode( $return );
    }
