<?php

    class calendar
    {
        var $dayofWeek;
        var $day;
        var $mon;
        var $monthShort;
        var $yr;
        var $lastMonth;
        var $nextMonth;
        var $lastYear;
        var $nextYear;
        var $nextYearday;
        var $daysInMonth;
        var $firstDayofMonth;
        var $Off;

        function func_SetOtherLinks( $mon )
        {
            if( $mon <= 1 )
            {
                $this->lastMonth = "12";
                $this->nextMonth = "02";
                $this->lastYear = $this->yr - 1;
                $this->nextYear = $this->yr;
            }
            else if( $mon >= 12 )
            {
                $this->lastMonth = "11";
                $this->nextMonth = "01";
                $this->lastYear = $this->yr;
                $this->nextYear = $this->yr + 1;
            }
            else
            {
                $this->lastMonth = $this->mon - 1;
                if( strlen( $this->lastMonth ) == 1 )
                {
                    $this->lastMonth = "0" . $this->lastMonth;
                }
                $this->nextMonth = $this->mon + 1;
                if( strlen( $this->nextMonth ) == 1 )
                {
                    $this->nextMonth = "0" . $this->nextMonth;
                }
                $this->lastYear = $this->yr;
                $this->nextYear = $this->yr;
            }
        }

        //constructor of the class
        function calendar( $day, $mon, $yr )
        {
            $this->day = $day;
            $this->mon = $mon;
            $this->yr = $yr;
            $this->nextYearday = $yr;

            $arrMonths = array( 1 => "Janeiro", "Fevereiro", "Março", "Abril", "Maio", "Junho", "Julho", "Agosto", "Setembro", "Outubro", "Novembro", "Dezembro" );

            $this->dayofWeek = date( "w", mktime( 0, 0, 0, $this->mon, $this->day, $this->yr ) );
            $this->daysInMonth = date( "t", mktime( 0, 0, 0, $this->mon, $this->day, $this->yr ) );
            $this->firstDayofMonth = date( "w", mktime( 0, 0, 0, $this->mon, 1, $this->yr ) );

            for( $i = 1; $i <= $this->daysInMonth; $i++ )
            {
                $final[$i - 1 + $this->firstDayofMonth] = date( "d", mktime( 0, 0, 0, $this->mon, $i, $this->yr ) );
            }
            $this->Off = $final;
            $this->func_MonthShort( $this->mon );
            $this->longNameMonth = $arrMonths[$this->monthShort];
            $this->func_SetOtherLinks( $this->mon );
        }

        function func_MonthShort( $mon )
        {
            if( substr( $mon, 0, 1 ) == 0 )
                $this->monthShort = substr( $mon, 1, 1 );
            else
                $this->monthShort = $mon;
        }

        function func_Show( )
        {
            $final = $this->Off;
            $yr = $this->nextYear - 1;
            echo "<table id='calendarTable' border=0 cellpadding=2 cellspacing=1>\n";
            echo "<td bgcolor='#339966' style='color:white;'><span onclick=\"searchMonth(01," . $this->lastMonth . "," . $this->nextYear . ")\"  ><b><<</b></span></td>\n";
            echo "<td bgcolor='#339966' style='color:white;' colspan='5'><p align='center'>" . $this->longNameMonth . " " . $this->yr . "</p></td>\n";
            echo "<td bgcolor='#339966' style='color:white;' ><span onclick=\"searchMonth(01," . $this->nextMonth . "," . $this->nextYear . ")\"><b>>></b></span></td>\n";

            echo "  </tr>\n";
            echo "    <td>Dom</td>\n";
            echo "    <td>Seg</td>\n";
            echo "    <td>Ter</td>\n";
            echo "    <td>Qua</td>\n";
            echo "    <td>Qui</td>\n";
            echo "    <td>Sex</td>\n";
            echo "    <td>Sab</td>\n";
            echo "  </tr>\n";
            echo "    <td " . $this->func_DayLink( $final[0] );
            echo "    <td " . $this->func_DayLink( $final[1] );
            echo "    <td " . $this->func_DayLink( $final[2] );
            echo "    <td " . $this->func_DayLink( $final[3] );
            echo "    <td " . $this->func_DayLink( $final[4] );
            echo "    <td " . $this->func_DayLink( $final[5] );
            echo "    <td " . $this->func_DayLink( $final[6] );
            echo "  </tr>\n";
            echo "    <td " . $this->func_DayLink( $final[7] );
            echo "    <td " . $this->func_DayLink( $final[8] );
            echo "    <td " . $this->func_DayLink( $final[9] );
            echo "    <td " . $this->func_DayLink( $final[10] );
            echo "    <td " . $this->func_DayLink( $final[11] );
            echo "    <td " . $this->func_DayLink( $final[12] );
            echo "    <td " . $this->func_DayLink( $final[13] );
            echo "  </tr>\n";
            echo "    <td " . $this->func_DayLink( $final[14] );
            echo "    <td " . $this->func_DayLink( $final[15] );
            echo "    <td " . $this->func_DayLink( $final[16] );
            echo "    <td " . $this->func_DayLink( $final[17] );
            echo "    <td " . $this->func_DayLink( $final[18] );
            echo "    <td " . $this->func_DayLink( $final[19] );
            echo "    <td " . $this->func_DayLink( $final[20] );
            echo "  </tr>\n";
            echo "    <td " . $this->func_DayLink( $final[21] );
            echo "    <td " . $this->func_DayLink( $final[22] );
            echo "    <td " . $this->func_DayLink( $final[23] );
            echo "    <td " . $this->func_DayLink( $final[24] );
            echo "    <td " . $this->func_DayLink( $final[25] );
            echo "    <td " . $this->func_DayLink( $final[26] );
            echo "    <td " . $this->func_DayLink( $final[27] );
            echo "  </tr>\n";
            echo "    <td " . $this->func_DayLink( $final[28] );
            echo "    <td " . $this->func_DayLink( $final[29] );
            echo "    <td " . $this->func_DayLink( $final[30] );
            echo "    <td " . $this->func_DayLink( $final[31] );
            echo "    <td " . $this->func_DayLink( $final[32] );
            echo "    <td " . $this->func_DayLink( $final[33] );
            echo "    <td " . $this->func_DayLink( $final[34] );
            echo "  </tr>\n";
            echo "    <td " . $this->func_DayLink( $final[35] );
            echo "    <td " . $this->func_DayLink( $final[36] );
            echo "    <td " . $this->func_DayLink( $final[37] );
            echo "    <td " . $this->func_DayLink( $final[38] );
            echo "    <td " . $this->func_DayLink( $final[39] );
            echo "    <td " . $this->func_DayLink( $final[40] );
            echo "    <td " . $this->func_DayLink( $final[41] );
            echo "  </tr>\n";
            echo "</table>\n";
        }

        function func_DayLink( $var )
        {
            return "bgcolor='#C7E8C0'><span onclick=\"setDate(" . $var . "," . $this->mon . "," . $this->nextYearday . ");\">" . $var . "</span></td>\n";
            //old stuffs
            //<a
            // href='?day=$var&mon=$this->mon&yr=$this->nextYearday'>$var</a></td>\n";
        }

}