(function (Khomp) {

    /// Notification indicator
    /// Página 94 ITU Q.931

    var ISDN = Khomp.ISDN;
    var InformationElements = ISDN.InformationElements;
    var attributes = InformationElements.attributes;

    InformationElements.elementsDecoders[0x27] = function (values) {

        var objValue = {};
        var octet3 = values.shift();

        /// Notification description octeto 3 bits 7,6,5,4,3,2,1
        var key = (octet3 & 0x7f);

        objValue['Notification description'] = attributes[0x23][key] || key;

        return objValue;
    };

})(Khomp);