(function (Khomp) {

    /// User-user
    /// Página 101 da ITU Q931.

    var ISDN = Khomp.ISDN;
    var InformationElements = ISDN.InformationElements;
    var attributes = InformationElements.attributes;

    InformationElements.elementsDecoders[0x7e] = function (values) {

        var objValue = {};
        var octet3 = values.shift();
        var protocolDiscriminator = (octet3);

        objValue['Protocol discriminator'] = attributes[0x2e][protocolDiscriminator] || protocolDiscriminator;

        objValue['User information'] = values.join(' ');

        return objValue;
    };

})(Khomp);
