var GLOBALAjaxURL = "index.php?rawmode=yes&menu=kdiagnostic";

function filter( )
{
    var file = $( '#file' ).val( );
    var begin = $( '#begin' ).val( );
    var end = $( '#end' ).val( );

    $( '#refreshing' ).show( );
    jQuery.kajax(
    {
        url : GLOBALAjaxURL,
        data : "ajaxTo=logAnaliser&file=" + btoa( file ) + '&begin=' + begin + '&end=' + end,
        dataType : "json",
        success : function( ret )
        {
            $( '#divLogAnalyser' ).html( ret['content'] );

            $( ".ui-widget-overlay" ).click( function( )
            {
                jQuery( '#divLogAnalyser' ).dialog( 'close' );
            } );

            $( "#browser-log" ).treeview( );
            $( '#refreshing' ).hide( );
            $( '#loading' ).hide( );
        }
    } );
}

function analyseDownloadSize(  )
{
    $( '#refreshing' ).show( );
    var type = $('#logPackage').val();

    jQuery.kajax(
    {
        url : GLOBALAjaxURL,
        data : "ajaxTo=analyseLogDownload&type=" + type,
        dataType : "text",
        success : function( size )
        {
            size = size.replace( /(\r\n|\n|\r)/gm, "" );

            $( '#refreshing' ).hide( );
            var msg = ajaxI18N( 'sizeOfLogGroup' );
            msg = msg.replace( '@@@', size );
            if( confirm( msg ) )
                zipLastLogs( type );
        }
    } );
}

function zipLastLogs( type )
{
    $( '#refreshing' ).show( );
    $( '#block' ).show( );

    jQuery.kajax(
    {
        type : "POST",
        data : "type=" + type,
        url : modulo_dir + "/lastLogs.php",
        dataType : "text",
        success : function( ret )
        {
            document.getElementById( 'lastLogZip' ).setAttribute( 'href', modulo_dir + '/downloadZip.php?file=' + ret );
            document.getElementById( 'downloadZipButton' ).click( );
            $( '#block' ).hide( );
            $( '#refreshing' ).hide( );
        }
    } );
}

function diagnosticMode( action )
{
    var msg = action == 'active' ? 'diagnosticModeOn' : 'diagnosticModeOff'; 
    if( ajaxConfirm( msg ) )
    {
        $( '#refreshing' ).show( );
        reload( 'no' );
        jQuery.kajax(
        {
            data : "ajaxTo=diagnosticMode&action=" + action,
            url : GLOBALAjaxURL,
            dataType : "text",
            success : function( ret )
            {
                ret = ret.replace( /(\r\n|\n|\r)/gm, "" );
                resp = ret.split( '|' );

                if( resp[0] == 'ok' )
                    ShowNotice( resp[1], true );
                else
                    ShowNotice( resp[1], false );
                if(typeof resp[2] !== 'undefined')
                {
                    alert(resp[2]);
                }

                $( '#refreshing' ).hide( );
                showSettings( 'settingsMenu' );
            }
        } );
    }
}

function showSettings( nameToBold )
{
    uberUnbolder( );
    boldMe( nameToBold );
    $( '#refreshing' ).show( );
    jQuery.kajax(
    {
        type : "POST",
        data : "ajaxTo=showSettingLogs",
        url : GLOBALAjaxURL,
        dataType : "text",
        success : function( ret )
        {
            $( '#right' ).html( ret );
            $( ".collapsePara", parent.document ).each( function( i, item )
            {
                $( item ).click( function( )
                {
                    $this = $( this );
                    if( $this.next( ).is( ":visible" ) )
                        $this.next( ).slideUp( );
                    else
                        $this.next( ).slideDown( );
                } );
            } );
            $( '#refreshing' ).hide( );
        }
    } );
}

function boldMe( nameToBold )
{
    $( '#' + nameToBold ).removeClass( ).addClass( 'fontWeightBold' );
}

function uberUnbolder( )
{
    $( '#browser li span' ).each( function( i, val )
    {
        $( val ).removeClass( ).removeClass( 'fontWeightBold' ).addClass( 'fontWeightNormal' );
    } );
}

function reload( apply )
{
    if( apply == 'yes' )
        $( '#refreshing' ).show( );

    jQuery.kajax(
    {
        async : false,
        type : "POST",
        url : GLOBALAjaxURL,
        data : "ajaxTo=saveSettingLogs&apply=" + apply + "&data=" + JSON.stringify( getquerystring( ) ),
        dataType : "text",
        success : function( ret )
        {
            if( ret.length > 0 )
            {
                ret = ret.replace( /(\r\n|\n|\r)/gm, "" );
                resp = ret.split( '|' );
                $( '#refreshing' ).hide( );

                if( resp[0] == 'ok' )
                    ShowNotice( resp[1], true );
                else
                    ShowNotice( resp[1], false );

                showSettings( 'settingsMenu' );
            }
            if( apply == 'yes' )
                $( '#refreshing' ).hide( );
        }
    } );
}

function getquerystring( )
{
    var objQueryString =
    {
    };
    $( ':radio:checked' ).each( function( i, e )
    {
        objQueryString[$( e ).attr( 'name' )] = $( e ).val( );
    } );
    return objQueryString;
}

function showDir( dir, CompToBold )
{
    $( '#refreshing' ).show( );
    jQuery.kajax(
    {
        type : "POST",
        data : "ajaxTo=showFileDir&dir=" + dir,
        url : GLOBALAjaxURL,
        dataType : "text",
        success : function( ret )
        {
            $( '#right' ).html( ret );
            $( '#refreshing' ).hide( );
        }
    } );
    uberUnbolder( );
    $( CompToBold ).removeClass( ).addClass( 'fontWeightBold' );
}

function showCDRDir( dir, CompToBold )
{
    $( '#refreshing' ).show( );
    jQuery.kajax(
    {
        type : "POST",
        data : "ajaxTo=showFileCDRDir&dir=" + dir,
        url : GLOBALAjaxURL,
        dataType : "text",
        success : function( ret )
        {
            $( '#right' ).html( ret );
            $( '#refreshing' ).hide( );
        }
    } );
    uberUnbolder( );
    $( CompToBold ).removeClass( ).addClass( 'fontWeightBold' );
}

function createPacketCaptureRule()
{
    var id = $( '#packetCaptureRules tr' ).length;

    if ( id >= 10 )
    {
        return;
    }

    var html = "";

    html += "<tr>";
    html += "<td class='last'>";
    html += "<input type='text' id='pcrFilterHost" + id + "' maxlength='255' />";
    html += "</td>";
    html += "</tr>";

    $( "#packetCaptureRules" ).append( html );
}

function loadPacketCapture()
{
    jQuery.kajax(
    {
        type : "POST",
        data : "ajaxTo=showPacketCapture",
        url : GLOBALAjaxURL,
        dataType : "text",
        success : function( ret )
        {
            $( '#right' ).html( ret );
            $( '#refreshing' ).hide( );
            if ( $( '#packetCaptureRules tr' ).length == 0 )
            {
                createPacketCaptureRule();
                $( '.gateway-tooltip' ).tooltip( { content : kuiHTMLTooltip } );
            }
        }
    } );
}

function showPacketCapture( CompToBold )
{
    $( '#refreshing' ).show( );
    loadPacketCapture();
    uberUnbolder( );
    $( CompToBold ).removeClass( ).addClass( 'fontWeightBold' );
}

function validateNumeric(e)
{
    var key;
    var keychar;

    if( window.event )
        key = window.event.keyCode;
    else if( e )
        key = e.which;
    else
        return true;
    keychar = String.fromCharCode( key );

    // control keys
    if(key == 8)
        return true;

    // numbers
    else if( (("0123456789").indexOf( keychar ) > -1) )
        return true;

    return false;
}


function startPacketCapture()
{
    $( '#refreshing' ).show( );

    var form = {};

    form.duration = $( '#pcoDuration' ).val();
    form.ebs = false;
    form.filters = [];

    form.dtmfdebug       = undefined;
    form.mfcdebug        = undefined;
    form.dtmf_chan_first = undefined;
    form.dtmf_chan_last  = undefined;
    form.mfc_chan_first  = undefined;
    form.mfc_chan_last   = undefined;
    form.serial          = undefined;

    if ( document.getElementById( 'pcoEBS' ) )
    {
        form.ebs = $( '#pcoEBS' ).prop( 'checked' );
    }

    if($('#radio0').prop('checked'))
    {
        $("[id^=netiface]").each(function()
        {
            if($(this).prop('checked'))
            {
                form.filters.push($(this).val());
            }
        });
    }
    else if($('#radio1').prop('checked'))
    {
        form.filters.push($('#deviceIpSelect').val());
    }        
    else if($('#radio2').prop('checked'))
    {
        $( '#packetCaptureRules tr' ).each( function( i, row )
        {
            if ( document.getElementById( 'pcrFilterHost' + i ) )
            {
                var host = $( '#pcrFilterHost' + i ).val();

                if ( host !== "" )
                {
                    form.filters.push( host );
                }
            }
        } );
    }

    if ( typeof(form.ebs) !== "boolean" )
    {
        ShowNotice( ajaxI18N( "invalid_ebs_option" ), false );
        $( '#refreshing' ).hide( );
        return;
    }

    if($('#dtmfdebug').prop('checked'))
    {
        form.dtmfdebug = true;
        if($('#radio1').prop('checked'))
        {
            var s = $('#deviceIpSelect option:selected').text().split(' ');
            form.serial = s[0];
            form.dtmf_chan_first = $('#dtmf_chan_first').val();
            form.dtmf_chan_last = $('#dtmf_chan_last').val();
        }
    }
    if($('#mfcdebug').prop('checked'))
    {
        form.mfcdebug = true;
        if($('#radio1').prop('checked'))
        {
            var s = $('#deviceIpSelect option:selected').text().split(' ');
            form.serial = s[0];
            form.mfc_chan_first = $('#mfc_chan_first').val();
            form.mfc_chan_last = $('#mfc_chan_last').val();
        }
    }

    var form_str = JSON.stringify( form );

    jQuery.kajax(
    {
        type : "POST",
        data : "ajaxTo=startPacketCapture&form=" + form_str,
        url : GLOBALAjaxURL,
        dataType : "text",
        success : function( ret )
        {
            var result = JSON.parse( ret );

            if ( result.return !== true )
            {
                $( '#refreshing' ).hide( );
                ShowNotice( result.message, false );
                return;
            }
            loadPacketCapture();

            var t = (form.duration ? form.duration : 5) * 60 + 5;

            setTimeout(function()
            {
                jQuery.kajax(
                {
                    type : "POST",
                    data : "ajaxTo=checkKtcpdump&form=" + form_str,
                    url : GLOBALAjaxURL,
                    dataType : "text",
                    success : function( ret )
                    {
                        if($('#batman').length)
                            loadPacketCapture();
                    }
                } );
            }, t * 1000);
        }
    } );
}

function stopPacketCapture()
{
    $( '#refreshing' ).show( );

    jQuery.kajax(
    {
        type : "POST",
        data : "ajaxTo=stopPacketCapture",
        url : GLOBALAjaxURL,
        dataType : "text",
        success : function( ret )
        {
            var result = JSON.parse( ret );

            if ( result.return !== true )
            {
                $( '#refreshing' ).hide( );
                ShowNotice( result.message, false );
                return;
            }
            loadPacketCapture();
        }
    } );
}

$( document ).ready( function( )
{
    var buttons = $( "#yesno button" ).click( function( e )
    {
        var yes = buttons.index( this ) === 0;
    } );

    $( "#prompt form" ).submit( function( e )
    {
        triggers.eq( 1 ).overlay( ).close( );
        var input = $( "input", this ).val( );
        triggers.eq( 1 ).html( input );
        return e.preventDefault( );
    } );

} );

$( function( )
{
    $( "ul.tabs" ).tabs( "div.panes > div" );
} );

function parseLog( content )
{
    if( typeof (content ) == "string" )
        var contentArray = content.split( "\n" );
    else
        var contentArray = content;

    var usecolors = $( '#log-viewer-use-colors' ).is( ':checked' );
    var arraylength = contentArray.length;

    for( var line = 0; line < arraylength; line++ )
    {
        var cls = "";
        if( $.trim( contentArray[line] ).length == 0 )
        {
            contentArray[line] = " ";
        }
        else
        {
            switch( contentArray[line].substr( 0, 2 ) )
            {
                case "W|":
                    cls = "warning";
                    break;
                case "E|":
                    cls = "error";
                    break;
                case "I|":
                    cls = "info";
                    break;
                case "T|":
                    cls = "trace";
                    break;
                case "N|":
                    cls = "notice";
                    break;
            }
            if( !usecolors )
            {
                cls += " nocolors";
            }
        }
        contentArray[line] = "<p class='" + cls + "'>" + $( "<span />" ).text( contentArray[line] ).html( ) + "</p>";
    }
    return contentArray.join( "" );
}

function openLog( file )
{
    $( '#refreshing' ).show( );
    $( '#divLogView .loading' ).show( );
    $.kajax(
    {
        type : "POST",
        data : "ajaxTo=printLog&file=" + file,
        url : GLOBALAjaxURL,
        dataType : "json",
        success : function( ret )
        {
            var canvas = $( '#divLogView' );
            var top = $( '#divLogViewTopo' );
            var content = $( '#divLogViewConteudo' );

            top.html( ret['topo'] );
            content.html( parseLog( ret['content'] ) );

            $( '#log-viewer-use-colors' ).click( function( )
            {
                if( $( this ).is( ":checked" ) )
                    $( '#divLogViewConteudo p' ).removeClass( 'nocolors' );
                else
                    $( '#divLogViewConteudo p' ).addClass( 'nocolors' );
            } );

            canvas.dialog(
            {
                title : ret['title'],
                closeOnEscape : true,
                modal : true,
                draggable : false,
                resizable : false,
                width : $( window ).width( ) - 60,
                height : $( window ).height( ) - 40,
                close : function( )
                {
                    canvas.dialog( "destroy" );
                }
            } );
            content.height( canvas.height( ) - top.height( ) - 20 );

            $( ".ui-widget-overlay" ).click( function( )
            {
                canvas.dialog( 'destroy' );
            } );

            setScrollAtBottom( '#divLogViewConteudo' );
            $( '#refreshing' ).hide( );
            $( '#divLogView .loading' ).hide( );
        }
    } );
}

function openOverlay( file )
{
    $( '#refreshing' ).show( );
    jQuery.kajax(
    {
        url : GLOBALAjaxURL,
        data : "ajaxTo=logAnaliser&file=" + file,
        dataType : "json",
        success : function( ret )
        {
            $( '#divLogAnalyser' ).html( ret['content'] );
            $( '#divLogAnalyser' ).dialog(
            {
                title : ret['title'],
                modal : true,
                draggable : true,
                hide : "slow",
                show : "slow",
                width : $( window ).width( ) - 60,
                height : $( window ).height( ) - 40
            } );

            $( ".ui-widget-overlay" ).click( function( )
            {
                jQuery( '#divLogAnalyser' ).dialog( 'close' );
            } );

            $( '#refreshing' ).hide( );
            $( '#loading' ).hide( );
        }
    } );
}

function showMoreLogs( file, oper )
{
    $( '#divLogView .loading' ).show( );
    var paginator = $( '#paginator' ).val( );

    $.kajax(
    {
        url : GLOBALAjaxURL,
        data : "ajaxTo=showMoreLogs&file=" + file + "&oper=" + oper + "&paginator=" + paginator,
        dataType : "json",
        success : function( json )
        {
            if( countElements( json['lines'] ) > 0 )
            {
                $( '#divLogViewConteudo' ).html( parseLog( json['lines'] ) );

                // top of the file
                if( json['first'] <= 0 )
                {

                    $( '#forward, #last' ).removeClass( ).addClass( 'green-light' );
                    $( '#back, #first' ).removeClass( ).addClass( 'backgroundGray' );
                    $( '#first, #back' ).attr( 'disabled', 'true' );
                    $( '#last, #forward' ).removeAttr( 'disabled' );
                }
                else
                {
                    //middle of file
                    if( json['last'] < json['fileSize'] && json['first'] > 0 )
                    {
                        $( '#back, #forward, #first, #last' ).removeClass( ).addClass( 'green-light' );
                        $( '#back, #forward, #first, #last' ).removeAttr( 'disabled' );
                    }
                    //end of file
                    else
                    {
                        $( '#back, #first' ).removeClass( ).addClass( 'green-light' );
                        $( '#forward, #last' ).removeClass( ).addClass( 'backgroundGray' );
                        $( '#forward, #last' ).attr( 'disabled', 'true' );
                        $( '#back, #first' ).removeAttr( 'disabled' );
                    }
                }
            }
            setScrollAtBottom( '#divLogViewConteudo' );
            $( '#divLogView .loading' ).hide( );
        }
    } );
}

function goToEnd( )
{
    var bott = document.getElementById( 'goBottom' );
    if( bott != null && bott != 'undefined' )
        bott.click( );
}

/*function botaefeito( comp )
 {
 $( comp ).addClass( 'box-shadow' );
 }

 function tiraefeito( comp )
 {
 $( comp ).removeClass( 'box-shadow' );
 }
 */
function showSettingsLogsAdvanced( )
{
    $( '#logSettingAdvanced' ).show( );
    $( '#showSettingsLogs' ).hide( );
    $( '#hideSettingsLogs' ).show( );
}

function hideSettingsLogsAdvanced( )
{
    $( '#logSettingAdvanced' ).hide( );
    $( '#showSettingsLogs' ).show( );
    $( '#hideSettingsLogs' ).hide( );
}

function browserTest( )
{
    var userAgent = navigator.userAgent.toLowerCase( );
    if( navigator.userAgent.toLowerCase( ).indexOf( 'chrome' ) > -1 )
        return ajaxConfirm( 'downloadFile' );
    else
        return true;
}

function zipBigFile( file )
{
    if( ajaxConfirm( 'zipAndDownloadFile' ) )
    {
        $( '#block' ).show( );
        jQuery.kajax(
        {
            type : "POST",
            data : "file=" + file + "&type=file",
            url : "zip.php",
            dataType : "text",
            success : function( ret )
            {
                if( ret != '' )
                {
                    document.getElementById( 'zipFileLink' ).setAttribute( 'href', modulo_dir + '/downloadZip.php?file=' + ret + '&is_temp=true' );
                    document.getElementById( 'zipFileLink' ).click( );
                    $( '#block' ).hide( );
                }
                else
                    ajaxAlert( 'errorToZipFile' );

                $( '#block' ).hide( );
            }
        } );
    }
}

function unBold( alvo )
{
    var filho = alvo.firstElementChild;
    while( filho != null )
    {
        if( filho.firstElementChild != null )
            unBold( filho.firstElementChild );
        filho = filho.nextElementSibling;
    }
}

function showMessages( nameToBold )
{
    $( '#refreshing' ).show( );
    jQuery.kajax(
    {
        type : "POST",
        url : GLOBALAjaxURL,
        data : "ajaxTo=showMessage",
        dataType : "text",
        success : function( ret )
        {
            $( '#right' ).html( ret );
            $( '#refreshing' ).hide( );
            setScrollAtBottom( '#showMessages' );
        }
    } );

    if( $( '#' + nameToBold ).length > 0 )
        $( '#' + nameToBold ).removeClass( 'fontWeightBold' ).addClass( 'fontWeightNormal' );

    uberUnbolder( );

    if( nameToBold != undefined )
        boldMe( nameToBold );
}

function setScrollAtBottom( selector )
{
    var _div = $( selector );
    if( _div )
    {
        _div.prop(
        {
            scrollTop : _div.prop( 'scrollHeight' )
        } );
    }
}

function setScrollAtTop( selector )
{
    var _div = $( selector );
    if( _div )
    {
        _div.prop(
        {
            scrollTop : 0
        } );
    }
}

function changeArrow( place )
{
    innerString = place.innerHTML;
    if( innerString[1] == "-" )
        place.innerHTML = innerString.replace( "-", "+" );
    else
        place.innerHTML = innerString.replace( "+", "-" );
}

function deleteFile( el, filename )
{
    jQuery.kajax(
    {
        type : "POST",
        data : "ajaxTo=deleteFile&file=" + filename,
        url : GLOBALAjaxURL,
        dataType : "text",
        success : function( ret )
        {
            if(ret)
                ajaxAlert(ret);
        }
    } );

    var tr = $(el).parent().parent();
    tr.css("background-color","#FF3700");
    tr.fadeOut(400, function(){
        tr.remove();
    });
}

function radioOnChange()
{
    var check0 = $('#radio0').prop('checked');
    var check1 = $('#radio1').prop('checked');
    var check2 = $('#radio2').prop('checked');

    $("[id^=netiface]").each(function()
    {
        $(this).prop('disabled', !check0);
    });
    
    $('#deviceIpSelect').prop('disabled', !check1);
    if(check1)
    {
        //$('#dtmf_debug_span').show();
        //$('#mfc_debug_span' ).show();
        $('#dtmf_chan_first').prop('disabled', false);
        $('#dtmf_chan_last').prop('disabled', false);
        $('#mfc_chan_first').prop('disabled', false);
        $('#mfc_chan_last').prop('disabled', false);
    }
    else
    {
        //$('#dtmf_debug_span').hide();
        //$('#mfc_debug_span' ).hide();
        $('#dtmf_chan_first').prop('disabled', true);
        $('#dtmf_chan_last').prop('disabled', true);
        $('#mfc_chan_first').prop('disabled', true);
        $('#mfc_chan_last').prop('disabled', true);
    }

    $("[id^=pcrFilterHost]").each(function()
    {
        $(this).prop('disabled', !check2);
    });
}
