<?
    if( file_exists( '/etc/elastix.conf' ) )
    {
        session_name( 'elastixSession' );
        require_once '/var/www/html/modules/khomp/constants.php';
    }
    else
        require_once '../constants.php';

    @session_start( );
    set_time_limit( 0 );
    require ("logUtil.php");

    try
    {
        if( !isset( $_SESSION['login'] ) && !$_SESSION['loginAccess']['diagnostic'] == 'full' )
            throw new Exception( 'noPermission' );

        if( !isset( $_REQUEST['file'] ) && !$_REQUEST['pcap'] == 'true' )
            throw new Exception( 'noFile' );

        $file = base64_decode( $_REQUEST['file'] );
        $fileInfo = pathinfo( $file );

        if( $fileInfo['extension'] != 'log' )
            throw new Exception( 'cantConvert' );

        if( PHP_OS == 'WINNT' )
            $fd = popen( KWEBTOOLS . "k2pcap.exe $file -", 'rb' );
        else
            $fd = popen( "/usr/sbin/k2pcap $file -", 'rb' );

        if($fd)
        {
            header( 'Content-type: application/zip' );
            header( 'Content-Disposition: attachment; filename="' . $fileInfo['basename'] . '.cap.gz"' );
            header( "Cache-control: private" );
    
            ob_flush( );
            flush( );
    
            $gz = gzopen( 'php://stdout', "w" );
            while( !feof( $fd ) )
            {
                $buffer = fread( $fd, 2048 );
                gzwrite( $gz, $buffer );
            }
            pclose( $fd );
            gzclose( $gz );
            exit ;
        }
        else
        {
            throw new Exception('erronOnConvertingLog2Pcap');
        }
    }
    catch (Exception $e)
    {
        echo $app->translate($e->getMessage( ));
    }
