<?php

    session_start( );
    require_once ("./classes/classKMessages.php");
    require_once KROOT . '../classes/KSystem.php';
    require ("logUtil.php");

    $logdir = LogUtil::getLogDir( );
    $file = $logdir . "messages.log";
    $dataLog = $_POST['date'] . " 00:00:00.000";
    $app = KSystem::getInstance();

    if( isset( $_SESSION['login'] ) && $_SESSION['loginAccess']['diagnostic'] == 'full' )
    {
        if( file_exists( $file ) )
        {
            $messages = new KMessages( $file );
            $seekMin = $messages->getFirstDatePosition( );
            $seekMax = $messages->getLastDatePosition( );

            while( true )
            {
                $handle = @fopen( $file, "r" );
                $seekAtual = (int)(($seekMin + $seekMax) / 2);
                $seekAtual = getSeekLine( $handle, $seekAtual );

                fseek( $handle, $seekAtual );
                $line = fgets( $handle );

                $date = $messages->getDate( $line );
                $date = str_replace( "/", "-", $date );
                $time = $messages->getTime( $line );

                if( strtotime( $date . " " . $time ) >= strtotime( $dataLog ) )
                {
                    if( $seekMax == $seekAtual )
                        break;
                    else
                        $seekMax = $seekAtual;
                }
                else
                {
                    if( $seekMin == $seekAtual )
                        break;
                    else
                        $seekMin = $seekAtual;
                }
            }
            fseek( $handle, $seekMax );
            $line = (fgets( $handle ));
            $dateLine = str_replace( "/", "-", $messages->getDate( $line ) );

            $retorno = array( );

            while( $dateLine == $_POST['date'] )
            {
                $startsWith = substr( $line, 0, 2 );
                if( $startsWith == "W|" || $startsWith == "E|" || $startsWith == "I|" )
                    $retorno[] = $line;
                $line = fgets( $handle );
                $dateLine = str_replace( "/", "-", $messages->getDate( $line ) );
            }
            echo JSONencode( $retorno );
        }
    }
    else
        echo $app->translate('noPermission');

    function getSeekLine( $handle, $seek )
    {
        while( $ch != "\n" && $seek >= 0 )
        {
            $ch = " ";
            fseek( $handle, $seek );
            $ch = fgetc( $handle );
            if( $ch != "\n" )
                $seek--;
            else
            {
                return $seek + 1;
            }
        }
    }