<?php
    require_once KCONFIG . '/classes/classKYaml.php';

    class KLicenseClient extends KYaml
    {
        function __construct( )
        {
            $app = KSystem::getInstance( );

            parent::__construct( $app->getConfigDir( ) . DIRECTORY_SEPARATOR . 'licenseclient.yaml' );
        }

        function getLicenseServerPort( )
        {
            return $this->yaml['LicenseServerPort'];
        }

        function getConnectionTimeout( )
        {
            return $this->yaml['ConnectionTimeout'];
        }

        function getCloudInterval( )
        {
            return $this->yaml['CloudInterval'];
        }

        function getLicenseServerList1( )
        {
            return $this->yaml['LicenseServerList'][0];
        }

        function getLicenseServerList2( )
        {
            return $this->yaml['LicenseServerList'][1];
        }

        function getLicenseServerList3( )
        {
            return $this->yaml['LicenseServerList'][2];
        }
    }