<?php

    /* Menu da distribuição SPX */
    @session_start( );

    $AjaxFunctions['showTreeMenu'] = 'showTreeMenu';

    function showTreeMenu( )
    {
        Global $sistema;

        $buff = '';

        $buff .= "<ul id='browser' class='filetree'>";
        $buff .= "<li>";
        $buff .= "<span class='folder' id='menu-device' onClick=\"changeView('showDevices',this, '');\">" . $sistema->retTranslate( 'Devices' ) . "</span>";
        $buff .= "</li>";

        if( is_file( '/etc/asterisk/khomp.conf' ) or is_file('/etc/asterisk/khomp.conf.xml'))
        {
            $buff .= "<li>";
            $buff .= "<span class='folder' id='menu-khompconf' onClick=\"changeView('showKhompChanResources',this, 'menu-khomp-resources');\">Asterisk Driver</span>";
            $buff .= "<ul>";
            $buff .= "<li class='closed'>";
            $buff .= "<span class='folder' id='menu-khomp-resources' onclick=\"changeView('showKhompChanResources',this, 'menu-khompconf');\">" . $sistema->retTranslate( 'resources' ) . "</span>";
            $buff .= "</li>";
            $buff .= "<li class='closed'>";
            $buff .= "<span class='folder' id='menu-khomp-contexts' onclick=\"changeView('showKhompContexts',this, 'menu-khompconf');\">" . $sistema->retTranslate( 'contexts' ) . "</span>";
            $buff .= "</li>";
            $buff .= "<li class='closed'>";
            $buff .= "<span class='folder' id='menu-khomp-chan' onClick=\"changeView('showKhompChans', this, 'menu-khompconf');\">".$sistema->retTranslate('channels')."</span>";
                $buff .= "</li>";
            $buff .= "<li class='closed'>";
            $buff .= "<span class='folder' id='menu-khomp-groups' onclick=\"changeView('showKhompChanGroups',this, 'menu-khompconf');\">" . $sistema->retTranslate( 'groups' ) . "</span>";
            $buff .= "</li>";


            $buff .= "<li class='closed'>";
            $buff .= "<span class='folder' id='menu-khomp-e1' onclick=\"changeView('showKhompE1',this, 'menu-khompconf');\">" . $sistema->retTranslate( 'e1-trunk' ) . "</span>";
            $buff .= "</li>";
            $buff .= "<li class='closed'>";
            $buff .= "<span class='folder' id='menu-khomp-fxo' onclick=\"changeView('showKhompFXO',this, 'menu-khompconf');\">" . $sistema->retTranslate( 'fxo-trunk' ) . "</span>";
            $buff .= "</li>";

            $buff .= "<li>";
                $buff .= "<span class='folder' id='menu-khomp-fxs' onClick=\"changeView('showKhompFxsOptions', this, 'menu-khompconf,menu-khomp-fxs-options');\">". $sistema->retTranslate( 'fxs-ramal' ) ."</span>";
            $buff .= "<ul>";
            $buff .= "<li class='closed'>";
            $buff .= "<span class='folder' id='menu-khomp-fxs-options' onclick=\"changeView('showKhompFxsOptions',this, 'menu-khomp-fxs');\">" . $sistema->retTranslate( 'fxs-options-menu' ) . "</span>";
            $buff .= "</li>";
            $buff .= "<li class='closed'>";
            $buff .= "<span class='folder' id='menu-khomp-branches' onclick=\"changeView('showKhompFxsBranches',this, 'menu-khomp-fxs');\">" . $sistema->retTranslate( 'fxs-branches' ) . "</span>";
            $buff .= "</li>";
            $buff .= "<li class='closed'>";
            $buff .= "<span class='folder' id='menu-khomp-hotlines' onclick=\"changeView('showKhompHotlines',this, 'menu-khomp-fxs');\">" . $sistema->retTranslate( 'fxs-hotlines' ) . "</span>";
            $buff .= "</li>";
            $buff .= "<li class='closed'>";
            $buff .= "<span class='folder' id='menu-khomp-options' onclick=\"changeView('showKhompBranchOptions',this, 'menu-khomp-fxs');\">" . $sistema->retTranslate( 'branch-options' ) . "</span>";
            $buff .= "</li>";
            $buff .= "<li class='closed'>";
            $buff .= "<span class='folder' id='menu-khomp-cadences' onclick=\"changeView('showKhompChanCadences',this, 'menu-khomp-fxs');\">" . $sistema->retTranslate( 'Cadences' ) . "</span>";
            $buff .= "</li>";
            $buff .= "</ul>";
                $buff .= "</li>";
            $buff .= "</ul>";
            $buff .= "</li>";
        }
        $buff .= "<li>";
        $buff .= "<span class='folder' id='menu-system' onClick=\"changeView('showServices',this, 'menu-services');\">" . $sistema->retTranslate( 'System' ) . "</span>";
        $buff .= "<ul>";

        $buff .= "<li class='closed'>";
        $buff .= "<span class='folder' id='menu-services' onclick=\"changeView('showServices',this, 'menu-system');\">" . $sistema->retTranslate( 'Services' ) . "</span>";
        $buff .= "</li>";

        $buff .= "<li class='closed'>";
        $buff .= "<span class='folder' id='menu-kibs' onclick=\"changeView('showKIBS',this, 'menu-system');\">KIBS</span>";
        $buff .= "</li>";
        $buff .= "</ul>";
        $buff .= "</li>";

        $buff .= "<li>";
        $buff .= "<span class='folder' id='menu-resources' onClick=\"changeView('showCallAnalyzer',this, 'menu-analyzer');\">" . $sistema->retTranslate( 'Resources' ) . "</span>";
        $buff .= "<ul>";
        $buff .= "<li class='closed'>";
        $buff .= "<span class='folder' id='menu-analyzer' onclick=\"changeView('showCallAnalyzer',this, 'menu-resources');\">Call analyzer</span>";
        $buff .= "</li>";
        
        $buff .= "</ul>";

        $buff .= "<li>";
        $buff .= "<span class='folder' id='menu-telephony' onClick=\"changeView('showProfiles',this, 'menu-profiles');\">" . $sistema->retTranslate( 'Telephony' ) . "</span>";
        $buff .= "<ul>";

        $buff .= "<li class='closed'>";
        $buff .= "<span class='folder' id='menu-profiles' onclick=\"changeView('showProfiles',this, 'menu-telephony');\">{$sistema->retTranslate( 'Profiles' )}</span>";
        $buff .= "</li>";
        $buff .= "<li class='closed'>";
        $buff .= "<span class='folder' id='menu-links-e1' onclick=\"changeView('showLinksE1T1',this, 'menu-telephony');\">Links E1/T1</span>";
        $buff .= "</li>";

        $buff .= "<li>";
        $buff .= "<span class='folder' id='menu-call-progress' onClick=\"changeView('showCallProgressOptions',this, 'menu-telephony,menu-call-progress-options');\">Call progress</span>";
        $buff .= "<ul>";
        $buff .= "<li class='closed'>";
        $buff .= "<span class='folder' id='menu-call-progress-options' onclick=\"changeView('showCallProgressOptions',this, 'menu-telephony,menu-call-progress');\">" . $sistema->retTranslate( 'Options' ) . "</span>";
        $buff .= "</li>";
        $buff .= "<li class='closed'>";
        $buff .= "<span class='folder' id='menu-call-progress-cadences' onclick=\"changeView('showCadence',this, 'menu-telephony,menu-call-progress');\">" . $sistema->retTranslate( 'Cadences' ) . "</span>";
        $buff .= "</li>";
        $buff .= "</ul>";
        $buff .= "</li>";

        if(! ( is_file( '/etc/asterisk/khomp.conf' ) or is_file('/etc/asterisk/khomp.conf.xml') ) )
        {
        $buff .= "<li>";
        $buff .= "<span class='folder' id='menu-ss7' onClick=\"changeView('showMTP2',this, 'menu-telephony,menu-mtp7' );\">SS7</span>";
        $buff .= "<ul>";
        $buff .= "<li class='closed'>";
        $buff .= "<span class='folder' id='menu-mtp7' onclick=\"changeView('showMTP2',this, 'menu-telephony,menu-ss7');\">MTP2</span>";
        $buff .= "</li>";
        $buff .= "<li class='closed'>";
        $buff .= "<span class='folder' id='menu-point-codes' onclick=\"changeView('showPointCodes',this, 'menu-telephony,menu-ss7');\">Point codes</span>";
        $buff .= "</li>";

        $buff .= "<li>";
        $buff .= "<span class='folder' id='menu-mtp3' onClick=\"changeView('showLinkSets',this, 'menu-telephony,menu-ss7,menu-linksets');\">MTP3</span>";
        $buff .= "<ul>";
        $buff .= "<li class='closed'>";
        $buff .= "<span class='folder' id='menu-linksets' onclick=\"changeView('showLinkSets',this, 'menu-telephony,menu-ss7,menu-mtp3');\">Linksets</span>";
        $buff .= "</li>";
        $buff .= "<li class='closed'>";
        $buff .= "<span class='folder' id='menu-routes' onclick=\"changeView('showRoutes',this, 'menu-telephony,menu-ss7,menu-mtp3');\">Routes</span>";
        $buff .= "</li>";
        $buff .= "</ul>";
        $buff .= "</li>";

        $buff .= "<li>";
        $buff .= "<span class='folder' id='menu-isup' onClick=\"changeView('showCircuitGroups',this, 'menu-telephony,menu-ss7,menu-circuit-groups');\">ISUP</span>";
        $buff .= "<ul>";
        $buff .= "<li class='closed'>";
        $buff .= "<span class='folder' id='menu-circuit-groups' onclick=\"changeView('showCircuitGroups',this, 'menu-telephony,menu-ss7,menu-isup');\">CircuitGroups</span>";
        $buff .= "</li>";
        $buff .= "<li class='closed'>";
        $buff .= "<span class='folder' id='menu-timers' onclick=\"changeView('showTimers',this, 'menu-telephony,menu-ss7,menu-isup');\">Timers</span>";
        $buff .= "</li>";
        $buff .= "</ul>";
        $buff .= "</li>";
        $buff .= "</ul>";
        $buff .= "</li>";
        }
        $buff .= "<li class='closed'>";
        $buff .= "<span class='folder' id='menu-general' onclick=\"changeView('showGeneral',this, 'menu-telephony');\">" . $sistema->retTranslate( 'General' ) . "</span>";
        $buff .= "</li>";
        $buff .= "</ul>";
        $buff .= "</li>";

        $buff .= "</li>";
        $buff .= "</ul>";

        $buff .= "<center><input type='button' id='reload-button' onclick='k3lreload();' value='".$sistema->retTranslate( 'Aplicar' )."' /></center>";

        return $buff;
    }
