(function (Khomp) {

    /// Congestion level
    /// A partir da página 76 da ITU Q931.

    var ISDN = Khomp.ISDN;
    var InformationElements = ISDN.InformationElements;

    InformationElements.elementsDecoders[0xb0] = function (value) {

        var attribute = {

            /// Somente bits 4,3,2,1 do octeto 1
            0x00 : 'Receiver ready',
            0x0f : 'Receiver not ready'
        };

        return attribute[value] || value;

    };

})(Khomp);
