/// Translation plugin (jQuery)
(function (K, $) {

    $.fn.translate = function (lang) {

        lang = lang || K.lang;
        var text;

        $(this).each(function () {

            // var nodeName = $(this)[0].nodeName;
            var title = $(this).attr('title');
            var placeholder = $(this).attr('placeholder');

            if (title !== '' && K.translations[K.lang][title]) {
                $(this).attr('title', K.translate(title, lang));
            }

            if (placeholder !== '' && K.translations[K.lang][placeholder]) {
                $(this).attr('placeholder', K.translate(placeholder, lang));
            }

            if ($(this).find('*:first').length === 0) {

                // switch (nodeName) {

                // default:

                key = ($(this).attr('key')) ? $(this).attr('key') : $(this).text();

                if (text !== '' && K.translations[K.lang][key]) {
                    $(this).text(K.translate(key, lang));
                }
                // }
            }
        });
        return this;
    };

})(Khomp, jQuery);
