<?
    if( file_exists( '/etc/elastix.conf' ) )
        require_once '/var/www/html/modules/khomp/constants.php';
    else
        require_once '../constants.php';

    set_time_limit( 0 );
    require ("logUtil.php");

    function create_zip( $files = array(), $destination = '', $overwrite = true, $base = true )
    {
        if( file_exists( $destination ) && !$overwrite )
            return false;

        $valid_files = array( );
        if( is_array( $files ) )
        {
            foreach( $files as $file )
            {
                if( file_exists( $file ) )
                    $valid_files[] = $file;
            }
        }

        if( count( $valid_files ) )
        {
            $path = KROOT . '\\..\\..\\Tools\\';
            if( PHP_OS == "WINNT" )
            {
                if( file_exists( "{$path}tar.exe" ) && file_exists( "{$path}gzip.exe" ) )
                {
                    if( sizeof( $valid_files ) == 1 )
                    {
                        $fileInfo = pathinfo( $valid_files[0] );
                        if( $fileInfo['extension'] == 'gz' )
                            copy( $valid_files[0], $destination );
                        else
                        {
                            $files = '';
                            foreach ($valid_files as $k => $v)
                                $files .= str_replace('\\', '\\\\', '"'.$v.'" ');
                            exec( $path.'tar.exe -c "' . $files . '" | '.$path.'gzip.exe > "'.$destination.'"' );
                        }
                    }

                    return file_exists( $destination );
                }
                else
                    return false;
            }
            else
            {
                if( file_exists( '/bin/gzip' ) && file_exists( '/bin/tar' ) )
                {
                    if( sizeof( $valid_files ) == 1 )
                    {
                        $fileInfo = pathinfo( $valid_files[0] );

                        if( $fileInfo['extension'] == 'gz' )
                            copy( $valid_files[0], $destination );
                        else
                        {
                            $files = '';
                            foreach ($valid_files as $k => $v)
                                $files .= '"'.$v.'" ';
                            exec( 'tar zcf "'.$destination. '" '. $files  );
                        }
                    }

                    return file_exists( $destination );
                }
                else
                    return false;
            }
        }
        else
            return false;
    }

    if( isset( $_REQUEST['file'] ) && $_REQUEST['type'] == "file" )
    {
        $tmpFile = explode( DIRECTORY_SEPARATOR, base64_decode( $_REQUEST['file'] ) );

        $tmp_name = LogUtil::getTempDir( ) . DIRECTORY_SEPARATOR . $tmpFile[sizeof( $tmpFile ) - 1] . '.tar.gz';

        $fileInfo = pathinfo( $tmp_name );
        $zip_name = $fileInfo['extension'] == 'gz' ? $tmp_name : $tmp_name . '.tar.gz';

        $files_to_zip = array( base64_decode( $_REQUEST['file'] ) );

        $result = create_zip( $files_to_zip, $zip_name );

        if( $result )
            echo $zip_name;
        else
            echo '';

    }