<?php
    @session_start( );
    $AjaxFunctions['updateDataChannels'] = 'updateDataChannels';
    $AjaxFunctions['saveSoftpbxName'] = 'saveSoftpbxName';

    function saveSoftpbxName( )
    {
        $name = $_REQUEST['data'];
        //$line = 'spx-process-name='.$name;
        //shell_exec("awk '$0 ~ /^\[.*\]/{if(gl==1) print \"${line}\"; gl=0} $0 ~ /^\[globals\]/{gl=1} {if(gl==1 && $0 ~ /^spx-process-name/){ print \"${line}\"; gl=0} else print}' /etc/asterisk/khomp.conf > /home/kira/test && mv /home/kira/test /etc/asterisk/khomp.conf");

        $file = file_get_contents('/etc/asterisk/khomp.conf');

        if($name == 'asterisk' or $name == 'freeswitch' or $name == '-' or $name == '')
        {
            $file = preg_replace("/spx-process-name.*(\n|$)/", '', $file);

            $conf = fopen('/etc/asterisk/khomp.conf', "w");
            fwrite($conf, $file);
            fclose($conf);

            Global $_SESSION;
            unset($_SESSION['softpbxProcess']);

            $app = KSystem::getInstance( );
            return $app->translate('process-name-saved');
        }

        $lines = explode("\n", $file);

        // start/end of globals section
        $begin=-1; $end=count($lines);
        for($i=0; $i < $end; ++$i)
        {
            if($begin < 0)
            {
                $pattern = '/^\s*\[globals\].*/';
                if(preg_match($pattern, $lines[$i]))
                {   //Found section start
                    $begin = $i + 1;
                }
            }
            else
            {
                $pattern = '/^\s*\[\S*?\].*/'; //A generic section name
                if(preg_match($pattern, $lines[$i]))
                {
                    $end = $i;
                    break;
                }
            }
        }
        // Section not found? Create it!
        if($begin < 0)
        {
            $lines[] = '[globals]';
            //$lines[] = 'spx-process-name='.$name;
            $begin = $end = count($lines); //This will skip the for-loop
        }

        $found=false;
        for($i=$begin; $i<$end; ++$i)
        {
            if(preg_match('/spx-process-name/', $lines[$i]))
            {
                $found=true;
                $lines[$i] = 'spx-process-name='.$name;
                break;
            }
        }
        if(!$found)
            array_splice($lines, $begin, 0, 'spx-process-name='.$name);
        

        Global $_SESSION;
        $_SESSION['softpbxProcess'] = $name;


        $file = fopen('/etc/asterisk/khomp.conf', "w");
        fwrite($file, implode("\n", $lines));
        fclose($file);
        
        $app = KSystem::getInstance( );
        return $app->translate('process-name-saved');
    }
    function updateDataChannels( )
    {
        $app = KSystem::getInstance( );
        $link = isset( $_REQUEST['linkNow'] ) ? $_REQUEST['linkNow'] : NULL;
        $board = isset( $_REQUEST['boardNow'] ) ? $_REQUEST['boardNow'] : NULL;
        $gc = isset( $_REQUEST['gc'] ) ? $_REQUEST['gc'] : NULL;

        if( isset( $link ) && isset( $board ) && isset( $gc ) )
        {
            try
            {
                $gc = explode( '|', $gc );
                if( isset( $_SESSION['DeviceList'][0] ) )
                {
                    $deviceList = $_SESSION['DeviceList'];

                    if( $gc[0] != '' && $gc[1] != '' )
                        $tmp = Populator::populateChannels( $deviceList[$board], $link, $gc[0], $gc[1] );
                    else
                        $tmp = Populator::populateChannels( $deviceList[$board], $link );

                    if( $tmp != $deviceList[$board] )
                    {
                        $deviceList[$board] = $tmp;
                        $_SESSION['DeviceList'] = $deviceList;
                        $json_response['Devices'] = $_SESSION['DeviceList'];
                    }
                    else
                        $json_response['Devices'] = array( );

                    $newData = ChartPopulator::getMiniChartDataByChannel( $_SESSION['DeviceList'][$board], $link,  $gc);
                    if(isset($_SESSION['ChannelMiniCharts']))
                    {
                        if($newData != $_SESSION['ChannelMiniCharts'])
                        {
                            $json_response['MiniCharts'] = $newData;
                            $_SESSION['ChannelMiniCharts'] = $json_response['MiniCharts'];
                        }
                        else
                            $json_response['MiniCharts'] = array();
                    }
                    else
                    {
                        $json_response['MiniCharts'] = $newData;
                        $_SESSION['ChannelMiniCharts'] = $json_response['MiniCharts'];
                    }

                    $json_response['Message']['error'] = MonitorService::checkMediaServerMessages( );
                    $json_response['Message']['warning'] = $app->translate( MonitorService::getWarningMessage( ) );
                    return JSONencode( $json_response );
                }
                else
                {
                    $CountDevices = 0;
                    $CountDevices = Populator::getDeviceCount( );
                    for( $i = 0; $i < $CountDevices; $i++ )
                    {
                        $device = array( 'serial' => '', 'model' => '', 'board' => $i, 'links' => array( ) );
                        $device = Populator::prePopulateChannels( $device );
                        $deviceList[$i] = $device;
                    }
                    $_SESSION['DeviceList'] = $deviceList;
                    $json_response['Devices'] = $deviceList;
                    $json_response['MiniCharts'] = ChartPopulator::getMiniChartDataByChannel( $deviceList, $link, $gc );
                    $json_response['Message']['error'] = MonitorService::checkMediaServerMessages( );
                    $json_response['Message']['warning'] = $app->translate( MonitorService::getWarningMessage( ) );
                    return JSONencode( $json_response );
                }
            }
            catch(Exception $e)
            {
                $ret['Message']['warning'] = $app->translate( MonitorService::getWarningMessage( ) );
                $ret['Message']['error'] = $app->translateErrMessage( Querist::$last_error );
                return JSONencode( $ret );
            }
        }
    }
