<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN http://www.w3.org/TR/ht        ml4/strict.dtd">
<html>
    <head>
        <title>KWebMonitor</title>
        <meta http-equiv="content-type" content="text/html; charset=utf-8" />
        <link href="{$MODULO_PAI}/imagens/khomp.ico" rel="shortcut icon">
        
        <link rel="stylesheet" type="text/css" media="screen" href="{$MODULO}/estilos/kwebmonitor.css?{$KWEBMONITOR_CSS_TS}">
        <link rel="stylesheet" type="text/css" media="screen" href="{$MODULO_PAI}/js/geral.css?{$GERAL_CSS_TS}">
        {$CUSTOM_CSS}
        <link rel="stylesheet" type="text/css" href="{$MODULO}/estilos/jquery.jqplot.min.css?{$JQPLOT_CSS_TS}" />
        
        <link rel="stylesheet" type="text/css" media="screen" href="{$MODULO_PAI}/js/jquery/css/ui-khomp/jquery-ui-1.10.4.custom.min.css?{$UI_CSS_TS}">
        <link rel="stylesheet" type="text/css" media="screen" href="{$MODULO_PAI}/js/jquery/css/k-ui.css?{$K_UI_CSS_TS}">

        {$JS_CONFLICT}
        {$ELASTIX_CSS_CORRECTION}
        
        <script type="text/javascript" src="{$MODULO_PAI}/js/jquery/jquery.js?{$JQUERY_JS_TS}" ></script>
        <script type="text/javascript" src="{$MODULO_PAI}/js/jquery/jquery.ui.js?{$JQUERY_UI_JS_TS}" ></script>
        <script type="text/javascript" src="{$MODULO_PAI}/js/jquery/chosen.jquery.min.js?{$CHOSEN_JS_TS}"></script>
        <script type="text/javascript" src="{$MODULO_PAI}/js/khookies.js?{$GERAL_JS_TS}"></script>
        <script type="text/javascript" src="{$MODULO_PAI}/js/jquery/jquery.cookie.js?{$COOKIE_JS_TS}"></script>
        
        <script type="text/javascript" src="{$MODULO_PAI}/js/geral.js?{$GERAL_JS_TS}"></script>
        <script type="text/javascript" src="{$MODULO}/js/util.js?{$UTIL_JS_TS}"></script>
        <script type="text/javascript" src="{$MODULO}/js/kwebmonitor.js?{$KWEBMONITOR_JS_TS}"></script>

        {if $IS_GATEWAY}
            <script type="text/javascript" src="{$MODULO_PAI}/js/jquery/jquery.ui.js?{$JQUERY_UI_JS_TS}"></script>
            <script type="text/javascript" src="{$MODULO_PAI}/js/compatibility.js?{$COMPATIBILITY_JS_TS}"></script>
            <script type="text/javascript" src="{$MODULO_PAI}/js/jquery/rpc-0.2.1.min.js?{$RPC_JS_TS}"></script>
            <script type="text/javascript" src="{$MODULO}/js/kgateway.js?{$KGATEWAY_JS_TS}"></script>
            <script type="text/javascript" src="{$MODULO_PAI}/js/jquery/jquery.maskedinput-1.3.min.js?{$MASKINPUT_JS_TS}"></script>
            <script type="text/javascript" src="{$MODULO_PAI}/js/jquery/jquery.tablesorter.min.js?{$TABLESORT_JS_TS}"></script>
        {/if}
        
        <script type="text/javascript" src="{$MODULO}/js/kcharts.js?{$KCHART_TS}"></script>
        <script type="text/javascript" src="{$MODULO}/js/jqplot/jquery.jqplot.min.js?{$JQPLOT_JS_TS}"></script>
        <script type="text/javascript" src="{$MODULO}/js/jqplot/jqplot.pieRenderer.min.js?{$JQPLOT_PIE_JS_TS}"></script>
        
        <script type="text/javascript" src="{$MODULO}/js/jqplot/jqplot.barRenderer.js?{$JQPLOT_BAR_RENDER}"></script>
        <script type="text/javascript" src="{$MODULO}/js/jqplot/jqplot.highlighter.js?{$JQPLOT_HIGHLIGHTER}"></script>
        <script type="text/javascript" src="{$MODULO}/js/jqplot/jqplot.categoryAxisRenderer.min.js?{$JQPLOT_AXIS_RENDER}"></script>
        <script type="text/javascript" src="{$MODULO}/js/jqplot/jqplot.pointLabels.min.js?{$JQPLOT_POINT_LABELS}"></script>
        
        <script type="text/javascript">
            var SO = '{$SO}';
            var desvioX = '{$DESVIO_X}';
            var desvioY = '{$DESVIO_Y}';
            var image_dir = '{$MODULO_PAI}';
            var modulo_dir = '{$MODULO}';
            var miniChartLabel = {literal}{{/literal} 'loading' : '{$LOADING}', 'nodata' : '{$NODATA}', 0 : '{$SUCCEED}', 1 : '{$FAILED}', 2 : '{$NOTANSWERED}', 'of' : '{$OF}', 'device' : '{$DEVICE}', 'statistics' : '{$STATISTICS}',
             'channelStatus' : '{$CHANNELSTATUS}', 'channel' : '{$CHANNEL}'
              {literal}}{/literal};
        </script>

    </head>
    <body onload="getRefreshDelay('{$JSmodule}');setAccordianMenu();">
        <div class='blockscreen displayNone' onclick="hideDiv();"> </div>

        <div class="layout-top-bar background-dark">
            <img src="{$MODULO_PAI}/imagens/verde-topo.jpg">
        </div>
        <div id="khomp">
            <div class="blockscreenError"></div>

            {$TOP}

            <div class="botoes">
            {if $IS_GATEWAY}
                <input id='naps-button' value='{$NAPS}' onclick="window.location = 'index.php?location=naps'" type='button' />
                {if $HAVE_GSM}
                    <input id='simcards-button' value='{$SIMCARDS}' onclick="window.location = 'index.php?location=simcards'" type='button' />
                {/if}
            {/if}
            <input id='devices-button' class="monitor-menu-button" value='{$DEVICES}' onclick="window.location = 'index.php?location=devices';colorMe(this.id);" type='button' />
            
            {if $HAVE_LINK}
                <input id="links-button" class="monitor-menu-button" value="{$LINKS}" onclick="window.location = 'index.php?location=links';colorMe(this.id);" type="button" />
            {/if}
            
            <input id="channels-button" class="monitor-menu-button" value="{$CHANNELS}" onclick="window.location = 'index.php?location=channels';colorMe(this.id);" type="button" />

            {if ! $IS_GATEWAY}
                <input id="services-button" class="monitor-menu-button" value="{$SERVICES}" onclick="window.location = 'index.php?location=services';colorMe(this.id);" type="button" />
            {/if}

            </div>
            <div id="refreshNow">
                <img src="{$MODULO_PAI}/imagens/refresh.png" id="refresh" class="cursorHand" title="{$REFRESH}" onclick="updateData(true, '{$MODULE}');"/>
                <img src="{$MODULO_PAI}/imagens/refreshing.gif" style="display:none;" id="refreshing" border="0"/>
            </div>

            <div id="divRefreshDelay">
                {$REFRESH_DELAY}
                 <select id="refreshDelay" onchange="setRefreshDelay( {literal}$( this ).val(){/literal},'{$MODULE}');">
                    <option {$SEL_NOT_REFRESH} value="0">{$NOT_REFRESH}</option>
                    <option {$SEL_DELAY1} value="30">{$DELAY1}</option>
                    <option {$SEL_DELAY2} value="10">{$DELAY2}</option>
                    <option {$SEL_DELAY3} value="2">{$DELAY3}</option>
                </select>
            </div>
            <br/>
            <br/>
            <br/>
            <fieldset class="fieldsetConteudo">
                <legend>
                    {$LEGEND}
                </legend>
                <div id="popup"> </div>

                <div id='saved_notice'>
                    <div class="close cursorPointer" onclick="closeShowNotice();">X</div>
                    <span>message</span>
                </div>
                <div id="monitor-content">
                    {$CONTENT}
                </div>
                <input type="hidden" value="false" id="ctrlMonitoracao" />

                <input id="channelsStatusChartTitle" type="hidden" value="{$CH_STATUS_CHART_TITLE}" />
                <input id="incOutChartTitle" type="hidden" value="{$INC_OUT_CHART_TITLE}" />
                <input id="statusChartTitle" type="hidden" value="{$STATUS_CHART_TITLE}" />
                <input id="failChartTitle" type="hidden" value="{$FAIL_CHART_TITLE}" />
                
                <input type="hidden" id="chartKey" value="" />
                <input type="hidden" id="paramchartKey" value="" />
                
                <div id="labelMiniChart"> </div>
                <div id="deviceCharts" class="displayNone" >
                    <div class="nav-buttons-holder">
                        
                        <input id="device-quad-charts-btn" type="button" value="{$DEVICES}" class="chart-nav-buttons" onclick="showTab(this, 'tabs-dev-0', 'createQuadCharts');"/>
                        <input id="all-links-btn" type="button" value="Links" class="chart-nav-buttons" onclick="showTab(this, 'tabs-dev-1', 'getChartsForAllLinks');"/>
                        
                        <div class="refreshingChartDiv">
                            <img class='refreshingCharts' src="{$MODULO_PAI}/imagens/refreshing.gif" />
                        </div>
                        <input type="button" value="{$REFRESH_CHARTS}" class="refreshCharts chart-nav-buttons" onclick="refreshCharts('device');"/>
                        <input type="button" value="{$BACK}" class="chart-nav-buttons refreshCharts backButton displayNone" onclick="backCharts();"/>
                    </div>
                    <div id="tabs-dev-0" class='tab'>
                        <div class="holderTitleMig"><span>{$STATISTICS}</span><span class='extraTitle'></span></div>
                        <div class="holderDivs" >
                            <div id="device3a" class="box-chart"> </div>
                            <div id="device4a" class="box-chart"> </div>
                        </div>
                        <div class='spacer'><hr /></div>
                        <div class="holderTitleMig">
                            <span>{$CHANNELSTATUS}</span>
                        </div>
                        <div class="holderDivs" >
                            <div id="device1a" class="box-chart"> </div>
                            <div id="device2a" class="box-chart"> </div>
                        </div>
                    </div>
                    
                    <div id="tabs-dev-1"  class='tab'>
                        <div class="holderTitleMig"><span>{$STATISTICS}</span><span class='extraTitle'></span></div>
                        <div id="holderChartsForAllLinks"> </div>
                    </div>
                </div>
                
                <div id="linkCharts" class="displayNone" >
                    <div class="nav-buttons-holder">
                        
                        <input type="button" value="Link" class="chart-nav-buttons" onclick="showTab(this, 'tabs-link-0', 'createQuadCharts');"/>
                        
                        <div class="refreshingChartDiv">
                            <img class='refreshingCharts' src="{$MODULO_PAI}/imagens/refreshing.gif" />
                        </div>
                        <input type="button" value="{$REFRESH_CHARTS}" class="refreshCharts chart-nav-buttons" onclick="refreshCharts('link');"/>
                        <input type="button" value="{$BACK}" class="chart-nav-buttons refreshCharts backButton displayNone" onclick="backCharts();"/>
                    </div>
                    <div id="tabs-link-0" class="tab">
                        <div class="holderTitleMig" ><span>{$STATISTICS}</span><span class='extraTitle'></span></div>
                        <div class="holderDivs" >
                            <div id="link3a" class="box-chart"> </div>
                            <div id="link4a" class="box-chart"> </div>
                        </div>
                        <div class='spacer'><hr /></div>
                        <div class="holderTitleMig">
                            <span>{$CHANNELSTATUS}</span>
                        </div>
                        <div class="holderDivs" >
                            <div id="link1a" class="box-chart"> </div>
                            <div id="link2a" class="box-chart"> </div>
                        </div>
                    </div>
                </div>
                
                <div id="channelCharts" class="displayNone" >
                     <div class="nav-buttons-holder">
                        <input type="button" value="Canal" class="chart-nav-buttons" onclick="showTab(this, 'tabs-channel-0', 'createQuadCharts');"/>
                        <div class="refreshingChartDiv">
                            <img class='refreshingCharts' src="{$MODULO_PAI}/imagens/refreshing.gif" />
                        </div>
                        <input type="button" value="{$REFRESH_CHARTS}" class="refreshCharts chart-nav-buttons" onclick="refreshCharts('channel');"/>
                        <input type="button" value="{$BACK}" class="chart-nav-buttons refreshCharts backButton displayNone" onclick="backCharts();"/>
                    </div>
                    
                    <div id="tabs-channel-0" class="tab">
                        <div class="holderTitleMig"><span>{$STATISTICS}</span><span class='extraTitle'></span></div>
                        <div class="holderDivs" >
                            <div id="channel3a" class="box-chart"> </div>
                            <div id="channel4a" class="box-chart"> </div>
                        </div>
                        <div class='spacer'><hr /></div>
                        <div class="holderTitleMig">
                            <span>{$CHANNELSTATUS}</span>
                        </div>
                        <div class="holderDivs" >
                            <div id="channel1a" class="box-chart"> </div>
                            <div id="channel2a" class="box-chart"> </div>
                        </div>
                    </div>
                </div>
                
            </fieldset>
            <br/>
            <br/>
            {$FOOTER}
            <br/>

        </div>
    </body>
</html>
